# KongHQ Wordpress Website

## Requirements

- [gulp](https://gulpjs.com/)
- [node](https://nodejs.org/en/) >= 6
- [docker]()https://www.docker.com)

## Overview
This repository includes the WP installation & custom theme for KongHQ.com

## Development
1. Setup local Wordpress enviornment
    * Install [MAMP](https://www.mamp.info/en/) or [Local](https://local.getflywheel.com/) & use the mysql file located in `_assets`. 

      *Note: This file may not be up to date & your must replace site and home URLs to your local env*
    * Start the wordpress environment by navigating to the root directory in your terminal and run `docker-compose up --build`. A server will start at http://localhost:8080.

2. Navigate to the theme directory, install packages & start the Gulp server.
```
cd wp-content/themes/konghq
npm install
gulp
```

To reset the Docker environment. Navigate to the root directory and run `docker-compose kill && docker-compose rm --force`

## Deployment
To deploy the site
1. Run `gulp build` which versions the css and js files and prepares the site for deployment. 
1. Add WP Engine production branch as a remote git branch
3. Git push to origin/production 

## General Notes
This site uses an Alpha version of [Bootstrap 4](https://v4-alpha.getbootstrap.com/), and it is strongly encouraged to use their utility classes and breakpoint functions in SCSS as needed.

There is also an **in-house responsive padding & margin class utility**, which works similarly to Bootstrap's [spacing](https://v4-alpha.getbootstrap.com/utilities/spacing/) utilities. They are:

- `.pt-#x`: padding-top class where `#` can be 0, 1, 2, 3, or 4. Each number represents a multiplier to 1 `rem` unit.
- `.pb-#x`: padding-bottom class where `#` can be 0, 1, 2, 3, or 4. Each number represents a multiplier to 1 `rem` unit.
- `.pl-#x`: padding-left class where `#` can be 0, 1, 2, 3, or 4. Each number represents a multiplier to 1 `rem` unit.
- `.pr-#x`: padding-right class where `#` can be 0, 1, 2, 3, or 4. Each number represents a multiplier to 1 `rem` unit.
- `.px-#x`: padding-left and padding-right class where `#` can be 0, 1, 2, 3, or 4.
- `.py-#x`: padding-top and padding-bottom class where `#` can be 0, 1, 2, 3, or 4.
- `.pt-[size]-*, py-[size]-*`: responsive padding classes where `[size]` can be xs, sm, md, lg, or xl and `*` can be 0x, 1x, 2x, 3x, or 4x.
