<?php
  get_header();
  // while ( have_posts() ) : the_post(); // Start the loop
?>

<section class="intro">
  <div class="container">
    <div class="row justify-content-center">
      <div class="col col-md-8">
        <h1><?php echo get_field('page_heading', 110);?>
        <h3><?php echo get_field('page_sub_heading', 110);?></h3>
      </div>
    </div>
    <div class="row justify-content-center">
      <div class="col col-md-8">
        <h3><?php the_field('page_sub_heading'); ?></h3>
      </div>
    </div>
</section>

<?php get_template_part( 'template-parts/latest-release' ); ?>

<section class="container col-xl-10 col-xxl-8 pt-2x">
  <div class="d-flex flex-wrap flex-row justify-content-center align-items-center text-center">
    <?php
      // Loop through installations and for each display card
      $installation = new WP_Query( array( 'post_type' => 'installations', 'orderby' => 'menu_order', 'posts_per_page' => -1) );
      if ( $installation->have_posts() ) : while ( $installation->have_posts() ) : $installation->the_post();
    ?>

    <div class="col-6 col-md-3 py-1x px-1x">
      <a href="<?php the_field('install_url');?>">
        <div class="card justify-content-center align-items-center">
          <div class="logo d-flex align-items-center">
             <?php the_post_thumbnail('full'); ?>
           </div>
        </div>
      </a>
    </div>

    <?php endwhile; endif; ?>
    <?php $certification = wp_reset_postdata(); ?>
  </div><!--/flex-wrap-->

  <div class="row pt-2x">
    <div class="col text-center">
      <p class="sm">Updating from an older version? Check out the <a href="https://github.com/Kong/kong/blob/master/UPGRADE.md" target="_blank" class="green">Suggested Upgrade Paths</a></p>
    </div>
  </div>
</section>

<?php
  // endwhile; // End of the loop.
  get_footer();
?>
