<?php get_header(); ?>

<section class="bg-gray">
  <div class="container py-2x">
    <div class="row justify-content-center mb-2x">
      <div class="col col-md-8 text-center">
        <h1 class="mb-1x">Meetups</h1>
        <h3>Upcoming meetups</h3>
      </div>
    </div>
    <div class="row justify-content-center">
      <?php
        // Loop through installations and for each display card
        $meetup = new WP_Query( array( 'post_type' => 'meetups', 'orderby' => 'menu_order', 'posts_per_page' => -1) );
        if ( $meetup->have_posts() ) : while ( $meetup->have_posts() ) : $meetup->the_post();
      ?>

      <div class="col-12 col-md-4 mb-2x card-group">
        <div class="card justify-content-center align-items-center text-center">
          <img src="<?php echo get_stylesheet_directory_uri()?>/assets/img/icons/icn-meetups.svg"/>
          <p class="my-1x"><?php the_title(); ?></p>
          <p class="sm"><?php the_field('location');?> &bull; <?php the_field('date'); ?></p>
          <a href="<?php the_field('meetup_link');?>" target="_blank" class="btn btn-outline-success --green mt-2x">More Information</a>
        </div>
      </div>

      <?php 
        endwhile; else:
        echo '<p>Sorry, there are no upcoming meetups. Please check back soon.</p>';
        endif;
      ?>
    </div>
  </div>
</section>

<section class="py-4x">
  <div class="container">
    <div class="row mb-2x">
      <div class="col text-center">
        <h4>Worldwide</h4>
      </div>
    </div>
    <div class="row justify-content-center">
      <div class="col-12 col-md-2">
        <p>Americas</p>
        <p class="sm"><a href="http://www.meetup.com/Kong-BOSTON" target="_blank">Kong Boston</a></p>
        <p class="sm"><a href="http://www.meetup.com/Kong-CHICAGO" target="_blank">Kong Chicago</a></p>
        <p class="sm"><a href="http://www.meetup.com/Kong-DETROIT" target="_blank">Kong Detroit</a></p>
        <p class="sm"><a href="http://www.meetup.com/Kong-MIAMI" target="_blank">Kong Miami</a></p>
        <p class="sm"><a href="http://www.meetup.com/Kong-NY" target="_blank">Kong New York</a></p>
        <p class="sm"><a href="http://www.meetup.com/Kong-SF" target="_blank">Kong San Francisco</a></p>
        <p class="sm"><a href="http://www.meetup.com/Kong-SAO-PAULO" target="_blank">Kong Sao Paulo</a></p>
        <p class="sm"><a href="http://www.meetup.com/Kong-SEATTLE" target="_blank">Kong Seattle</a></p>
        <p class="sm"><a href="http://www.meetup.com/Kong-toronto" target="_blank">Kong Toronto</a></p>
      </div>
      <div class="col-12 col-md-2">
        <p>Europe / Middle East</p>
        <p class="sm"><a href="http://www.meetup.com/Kong-AMSTERDAM" target="_blank">Kong Amsterdam</a></p>
        <p class="sm"><a href="http://www.meetup.com/Kong-BARCELONA" target="_blank">Kong Barcelona</a></p>
        <p class="sm"><a href="http://www.meetup.com/Kong-BERLIN" target="_blank">Kong Berlin</a></p>
        <p class="sm"><a href="http://www.meetup.com/Kong-LONDON" target="_blank">Kong London</a></p>
        <p class="sm"><a href="http://www.meetup.com/Kong-Milano" target="_blank">Kong Milano</a></p>
        <p class="sm"><a href="http://www.meetup.com/Kong-MOSCOW" target="_blank">Kong Moscow</a></p>
        <p class="sm"><a href="http://www.meetup.com/Kong-PARIS" target="_blank">Kong Paris</a></p>
        <p class="sm"><a href="http://www.meetup.com/Kong-TEL-AVIV" target="_blank">Kong Tel Aviv-Yafo</a></p>
      </div>
      <div class="col-12 col-md-2">
        <p>Asia Pacific</p>
        <p class="sm"><a href="http://www.meetup.com/Kong-BEIJING" target="_blank">Kong Beijing</a></p>
        <p class="sm"><a href="http://www.meetup.com/Kong-BANGALORE" target="_blank">Kong Bangalore</a></p>
        <p class="sm"><a href="http://www.meetup.com/Kong_Hong_Kong/" target="_blank">Kong Hong Kong</a></p>
        <p class="sm"><a href="http://www.meetup.com/Kong-JAKARTA" target="_blank">Kong Jakarta</a></p>
        <p class="sm"><a href="http://www.meetup.com/Kong-SEOUL" target="_blank">Kong Seoul</a></p>
        <p class="sm"><a href="http://www.meetup.com/Kong-SYDNEY" target="_blank">Kong Sydney</a></p>
        <p class="sm"><a href="http://www.meetup.com/Kong-TOKYO" target="_blank">Kong Tokyo</a></p>
      </div>
    </div>
  </div>
</section>

<?php get_footer(); ?>
