/* globals $ScrollToAnchor */

var Header = (function () {

  var internals = {};

  internals.SCROLL_MAX = 250;

  internals.normalize = function (value, minx, maxx, min, max) {

    var a = (maxx - minx) / (max - min);
    var b = maxx - (a * max);

    return (a * value) + b;
  };


  function Module(config) {

    this.element = config.element;
    this.bg = this.element.querySelector('.site-header-bg');

    this._registerScrollToAnchor();
    this._bindEvents();
  }


  Module.prototype._registerScrollToAnchor = function _registerScrollToAnchor() {

    var anchors = [].slice.call(this.element.querySelectorAll('.header-nav-anchor'), 0);

    if (!anchors.length) {
      return console.warn('Header anchors not found. ScrollToAnchor not applied.');
    }

    this._scrollToAnchor = new ScrollToAnchor({
      anchors: anchors
    });
  }


  Module.prototype._bindEvents = function _bindEvents() {

    this._handleScroll = this._handleScroll.bind(this);
    window.addEventListener('scroll', this._handleScroll);
  }


  Module.prototype._handleScroll = function(ev) {

    var p = ev.target.defaultView.scrollY;

    if (p > internals.SCROLL_MAX) {
      p = internals.SCROLL_MAX;
    }

    this.bg.style.opacity = internals.normalize(p, 0, .9, 0, internals.SCROLL_MAX);
  }

  return Module;
}());
