
var SpeakersController = (function () {

  function Module(config) {

    this.element = config.element;
    this.minWidth = config.minWidth;
    this.speakerSummaryElements = Array.apply(null, this.element.querySelectorAll('.speakers-grid > li details > summary'));
    this.speakerDetailsElements = Array.apply(null, this.element.querySelectorAll('.speaker-detail'));
    this.speakerDetailsCloseElements = Array.apply(null, this.element.querySelectorAll('.speaker-detail [data-details-close]'));

    this._bindEvents();
  }

  Module.prototype._bindEvents = function _bindEvents() {

    this._showSpeakerDetail = this._showSpeakerDetail.bind(this);
    this._hideSpeakerDetail = this._hideSpeakerDetail.bind(this);

    this.speakerSummaryElements.forEach(function (item) {

      item.addEventListener('click', this._showSpeakerDetail);
    }, this);

    this.speakerDetailsCloseElements.forEach(function (item) {

      item.addEventListener('click', this._hideSpeakerDetail);
    }, this);
  }

  Module.prototype._showSpeakerDetail = function _showSpeakerDetail(ev) {

    if (window.innerWidth <= this.minWidth) {
      return;
    }

    ev.preventDefault();

    var index = ev.target.dataset.index;
    var details = this.speakerDetailsElements[index];

    this.element.classList.add('-show-details');
    details.classList.add('show');
  }

  Module.prototype._hideSpeakerDetail = function _hideSpeakerDetail(ev) {

    ev.preventDefault();

    var index = ev.target.dataset.index;
    var details = this.speakerDetailsElements[index];

    this.element.classList.remove('-show-details');
    details.classList.remove('show');
  };

  return Module;
}());

