(function ($) {

  // Get any and all UTM parameters from URL if exist
  // and add to urlParams object
  urlParams = {};
  location.search.substr(1).split("&").forEach(function (pair) {
    if (pair === "") return;
    var parts = pair.split("=");
    urlParams[parts[0]] = parts[1] &&
      decodeURIComponent(parts[1].replace(/\+/g, " "));
  })

  // For each param in urlParms find matching input
  // and set value
  $.each(urlParams, function (key, value) {
    $('input[name="' + key + '"]').val(value)
  })

  // Pardot form submit
  $('.sf_submit').on('submit', function (e) {
    e.preventDefault()
    // Store a reference to this form
    var $this = $(this)
    // Declare empty array for field values
    var formData = []
    // Declare email field
    var formEmail = $this.find('input[name="email"]')
    // Declare submit btn
    var formSubmit = $this.find('.btn')

    // Get value of each field in form
    $('.sf_submit').each(function () {
      // Push each field value into formData array
      formData.push($(this).serializeArray())
    })

    // Disable input field
    formEmail.prop('disabled', true)
    // Show Loading in btn
    formSubmit.addClass('disabled').text('Loading...')

    //Submit the form passing all form field values
    $.ajax({
      url: '/wp-content/themes/konghq/inc/pardot.php',
      method: 'POST',
      data: formData[0],
      success: function (result) {
        // On success display thank you message
        if ($this.is('#request-demo-form')) {
          $this.replaceWith('<div class="form-thanks"><img src="https://cdn.jotfor.ms/img/check-icon.png"/><h1>Thank You!</h1><p>Your submission has been recieved.</p></div>')
        } else {
          $this.replaceWith('<p>' + result + '</p>')
        }
        // Remove sticky class and set cookie for 90 days after 2 seconds
        setTimeout(function () {
          $('.newsletter-container').removeClass('sticky');
          $.cookie('nl-popup', 'true', { expires: 90, path: '/' })
        }, 2000)
      },
      error: function (error) {
        // If Error display error message
        $('.sf_submit').replaceWith('<p>There appears to be an error, please try again later.</p>')
        console.log('error', error);
      }
    })

  })

  // Hide cookie policy agreement
  $('#accept-cookies').on('click', function (e) {
    $('.cookie-policy-container').removeClass('showing')
    document.cookie = 'kong-cookies=cookie-policy; expires=Fri, 31 Dec 9999 23:59:59 GMT; path=/'
  })

})(jQuery);
