(function ($) {

  $('#free-trial-form').on('submit', function (e) {
    e.preventDefault()

    var $this = $(this)
    var formData = []
    // Declare email field
    var $formEmail = $this.find('input[name="email"]')
    var fullName = $this.find('input[name="first_name"]').val().trim() + " " + $this.find('input[name="last_name"]').val().trim()
    var $formSubmit = $this.find('.btn')

    // Get value of each field in form
    $this.each(function () {
      // Push each field value into formData array
      formData.push($(this).serializeArray())
    })

    // reset any errors
    $('#free-trial-error').text("")
    $formEmail.closest('div').find('label').removeClass('text-danger')
    $formEmail.removeClass('is-invalid')

    toggleEmailInputError(false, $formEmail)

    $('#free-trial-email-warning').text(' ')

    createFreeTrial(formData[0], $formEmail, fullName, $formSubmit)
  })

  function toggleForm () {
    $('#free-trial-form-loading-bar').toggleClass('hide')
    $('#free-trial-form-header').toggleClass('hide')
    $('#free-trial-form-header-thanks').toggleClass('hide')
    $('#free-trial-form-thanks').toggleClass('hide')
  }

  function createFreeTrial (form, $formEmail, fullName, $formSubmitButton) {
    form['name'] = fullName

    $formSubmitButton.text('Loading...').addClass('disabled')
    $.ajax({
      url: '/wp-content/themes/konghq/inc/initialize-free-trial.php',
      method: 'POST',
      data: form,
      dataType: "json",
      success: function (res) {
        if (res.type === 'email' && res.status === 'invalid') {
          console.log(res)
          $formSubmitButton.text('Get Started').removeClass('disabled')
          $('#free-trial-form-wrapper').toggleClass('hide')
          $('#free-trial-form-loading-bar').toggleClass('hide')
          sendEmailFailure()
          return
        }
        if (res.status == 'valid') {
          console.log(res)
          $('.progress').css('-webkit-animation-duration', "8s")
          setTimeout(function () {
            toggleForm()
          }, 700)
        } else {
          $('#free-trial-form-loading-bar').toggleClass('hide')
          $('#free-trial-form-wrapper-error').toggleClass('hide')
        }
      },
      error: function (error) {
        console.log(error)
        var data = error.responseText;
        console.log(data)
        if(data.type === 'email') {
          $formSubmitButton.text('Get Started').removeClass('disabled')
          $('#free-trial-form-wrapper').toggleClass('hide')
          $('#free-trial-form-loading-bar').toggleClass('hide')
          //sendEmailFailure()
          return
        }


        // If Error display error message
        $('#free-trial-form-loading-bar').toggleClass('hide')
        $('#free-trial-form-wrapper-error').toggleClass('hide')
      }
    })

    $('#free-trial-form-wrapper').toggleClass('hide')
    $('#free-trial-form-loading-bar').toggleClass('hide')

    function sendEmailFailure () {
      toggleEmailInputError(true, $formEmail)
      $('#free-trial-email-warning').text('Please use your work email address.')
      $('#free-trial-demo-form-request').toggleClass('hide')
    }
  }

  function toggleEmailInputError (hasError, $formEmail) {
    if (hasError) {
      $formEmail.closest('div').find('label').addClass('text-danger')
      $formEmail.addClass('is-invalid')
    } else {
      $formEmail.closest('div').find('label').removeClass('text-danger')
      $formEmail.removeClass('is-invalid')
    }
  }
})(jQuery);
