<?php
// Get pages to check against for deciciding which menu to render
$companyPages = array('7', '51', '23', '26');
$enterprisePages = array('264', '270', '272', '274', '276', '278', '493');
$communityPages = array('266', '268', '314');
$cloudPages = array('cloud');

// Set variables
$activeMenu = '';
$menuTitle = '';
$showMenu = false;

// Set Page titles and menu locations based on page
if(is_page($companyPages)) {
  $activeMenu = 'company-menu';
  $menuTitle = 'Company';
  $showMenu = true;
} elseif (is_page($enterprisePages)) {
  $activeMenu = 'enterprise-menu';
  $menuTitle = 'Kong Enterprise';
  $showMenu = true;
} elseif (is_page($communityPages)) {
  $activeMenu = 'community-menu';
  $menuTitle = 'Kong Community <a href="https://github.com/kong/kong"><i class="fa fa-github"></i></a>';
  $showMenu = true;
} elseif (is_page($cloudPages)) {
  $menuTitle = '<a href="/kong-cloud">KONG CLOUD</a>';
  $showMenu = true;
} elseif (is_home() || is_search() || is_singular('post') || is_category()) {
  $menuTitle = '<a href="/blog">Blog</a>';
  $showMenu = true;
}

// Default menu arguments to be passed
$menuArgs = array (
  'container' => 'ul',
  'menu_class' => 'nav col pr-0 justify-content-center justify-content-md-end',
  'theme_location' => $activeMenu
);
?>

<?php
  // Only show the submenu if set to true
  if( $showMenu == true ) { ?>
  <nav class="navbar fixed-top flex-row align-items-center justify-content-center py-0 kong-subnav <?php if(is_page($cloudPages)) { echo 'hidden-sm-down'; } ?>">
    <div class="container d-flex align-items-center justify-content-center">
      <div class="col-auto pl-0 hidden-sm-down kong-subnav_title">
        <?php echo $menuTitle; ?>
      </div>
      <?php
        if (is_page($companyPages)) {
          wp_nav_menu( $menuArgs );
        } elseif (is_page($enterprisePages)) {
          wp_nav_menu( $menuArgs );
        } elseif (is_page($communityPages)) {
          wp_nav_menu( $menuArgs );
        } elseif (is_page( $cloudPages )) { 
        ?>
          <div class="nav col justify-content-center justify-content-md-start kong-cloud-subnav">
            <span class="badge badge-pill badge-default">COMING SOON</span>
          </div>
        <?php 
        } elseif (is_home() || is_search() || is_singular('post') || is_category()) { ?>
        <div class="nav col pr-0 justify-content-center justify-content-md-end">
          <div class="search-input-wrapper">
            <?php get_template_part('template-parts/searchform'); ?>
          </div>
        </div>
      <?php } ?>
    </div>
  </nav>
<?php } ?>
