<?php
  get_header();
  while ( have_posts() ) : the_post(); // Start the loop
?>

<section class="intro">
  <div class="container">
    <div class="row justify-content-md-center">
      <div class="col col-md-8">
        <h1><?php the_field('page_heading'); ?> </h1>
      </div>
    </div>
  </div>
</section>

<section class="container">
  <div class="row">
    <div class="cards d-flex flex-wrap flex-column flex-sm-row justify-content-md-center align-items-center">
      <?php if( have_rows('investor') ): while ( have_rows('investor') ) : the_row(); ?>
      <div class="col-sm-12 col-md-3 py-1x px-1x">
        <div class="card justify-content-center align-items-center">
          <div class="logo d-flex align-items-center">
            <img src="<?php the_sub_field('investor_image');?>" />
          </div>
          <div class="name d-flex align-items-center">
            <a href="<?php the_sub_field('investor_link'); ?>" target="_blank"><?php the_sub_field('investor_name'); ?></a>
          </div>
        </div>
      </div>
      <?php endwhile; endif; ?>
    </div>
  </div>
</section>

<section class="container col-xl-10 col-xxl-8 pt-0x">
  <p class="text-center"><?php the_field('page_sub_heading'); ?></p>
  <div class="d-flex flex-wrap flex-row justify-content-center align-items-center text-center logos">
    <div class="col-6 col-sm-4 col-md-3 col-xl-auto px-lg-1x py-1x">
      <img src="<?php echo get_stylesheet_directory_uri();?>/assets/img/investors/logo-google.png" alt="Google" />
    </div>
    <div class="col-6 col-sm-4 col-md-3 col-xl-auto px-lg-1x py-1x">
      <img src="<?php echo get_stylesheet_directory_uri();?>/assets/img/investors/logo-ebay.png" alt="Ebay" />
    </div>
    <div class="col-6 col-sm-4 col-md-3 col-xl-auto px-lg-1x py-1x">
      <img src="<?php echo get_stylesheet_directory_uri();?>/assets/img/investors/logo-microsoft.png" alt="Microsoft" />
    </div>
    <div class="col-6 col-sm-4 col-md-3 col-xl-auto px-lg-1x py-1x">
      <img src="<?php echo get_stylesheet_directory_uri();?>/assets/img/investors/logo-accenture.png" alt="Accenture" />
    </div>
    <div class="col-6 col-sm-4 col-md-3 col-xl-auto px-lg-1x py-1x">
      <img src="<?php echo get_stylesheet_directory_uri();?>/assets/img/investors/logo-disney.png" alt="Disney" />
    </div>
    <div class="col-6 col-sm-4 col-md-3 col-xl-auto px-lg-1x py-1x">
      <img src="<?php echo get_stylesheet_directory_uri();?>/assets/img/investors/logo-youtube.png" alt="YouTube" />
    </div>
     <div class="col-6 col-sm-4 col-md-3 col-xl-auto px-lg-1x py-1x">
      <img src="<?php echo get_stylesheet_directory_uri();?>/assets/img/investors/logo-paypal.png" alt="PayPal" />
    </div>
  </div>
</section>

<?php
  endwhile; // End of the loop.
  get_footer();
?>
