<?php
  get_header();
  while ( have_posts() ) : the_post(); // Start the loop
?>

<section class="kong-community-intro container light pt-6x ">
  <div class="container">
    <div class="row">
      <div class="col-sm-12 col-lg-7">
        <h1 class="blue"><?php the_field('page_heading'); ?></h1>
        <?php the_content(); ?>
        <a href="/install" class="btn btn-success mr-1x mb-1x py-1x">Install Kong Community Edition</a>
        <a href="http://getkong.org/docs/" target="_blank" class="btn btn-outline-success --green mb-1x px-2x py-1x">Docs</a>
        <p class="sm my-2x">Kong<span class="kong-github-latest-release badge"><?php echo get_option('kong_version'); ?></span> Community Edition has been released! <span class="badge info"><a href="https://github.com/Kong/kong/blob/master/UPGRADE.md" target="_blank"><b>Upgrade</b></a></span></p>
      </div>
      <div class="col-5 ce-hero-img hidden-md-down">
        <?php include('assets/img/editions/kong-ce-hero.svg');?>
      </div>
    </div>
  </div>
</section>

<section class="edition-features mb-4x">
  <div class="container">
    <div class="row mb-4x">
      <?php if( have_rows('features') ): while ( have_rows('features') ) : the_row(); ?>
        <div class="col-xs-12 col-md-4 pt-2x">
          <div class="row">
            <div class="col-3 text-right"><img src="<?php the_sub_field('feature_icon');?>"/></div>
            <div class="col-9">
              <h4><?php the_sub_field('feature_title');?></h4>
              <p class="sm"><?php the_sub_field('feature_content');?></p>
            </div>
          </div>
        </div>
      <?php endwhile; endif; ?>
    </div>
    <div class="row justify-content-center mb-4x">
      <div class="col col-md-8 text-center">
        <img src="<?php echo get_stylesheet_directory_uri()?>/assets/img/editions/owen-garrett.jpg" alt="Owen Garret" class="rounded-circle mb-1x" width="80"/>
        <p>"Kong allows developers to reduce complexity and deployment times in implementing an API solution on NGINX."</p>
        <p class="mini">Owen Garrett, NGINX HEAD OF PRODUCTS</p>
      </div>
    </div>
  </div>

  <div class="container">
    <div class="row justify-content-center no-gutters">
      <div class="col col-md-8 text-center">
        <p class="sm heading-divide text-uppercase">Trusted by</p>
      </div>
    </div>
    <div class="row justify-content-center no-gutters">
      <div class="col-12 col-md-12 d-flex flex-wrap flex-row justify-content-center align-items-center text-center logos">
        <div class="col-6 col-md-2 py-1 pb-1">
          <img src="<?php echo get_stylesheet_directory_uri();?>/assets/img/customers/logo-opendns.svg" alt="opendns" />
        </div>
        <div class="col-6 col-md-2 py-1 pb-1">
          <img src="<?php echo get_stylesheet_directory_uri();?>/assets/img/customers/logo-aol.svg" alt="aol" />
        </div>
        <div class="col-6 col-md-2 py-1 pb-1">
          <img src="<?php echo get_stylesheet_directory_uri();?>/assets/img/customers/logo-hp.svg" alt="hp" />
        </div>
        <div class="col-6 col-md-2 py-1 pb-1">
          <img src="<?php echo get_stylesheet_directory_uri();?>/assets/img/customers/logo-eurostar.svg" alt="eurostar" />
        </div>
        <div class="col-6 col-md-2 py-1 pb-1">
          <img src="<?php echo get_stylesheet_directory_uri();?>/assets/img/customers/logo-accenture.svg" alt="accenture" />
        </div>
      </div>
    </div>
  </div>

</section>

<section class="bg-drkGry dark py-4x">
  <div class="container">
    <div class="row mb-2x">
      <div class="col-sm-12 text-center">
        <h1>Get Started in 1 minute</h1>
      </div>
    </div>
    <div class="row">
      <div class="col col-md-6">
        <ol>
          <li>
            <p class="mb-0x">Add your API on Kong</p>
            <p class="sm">After <a href="/install" class="green">installing</a> and starting Kong, use the Admin API on port 8001 to add a new API. Kong will route every incoming request with the specified public DNS to the associated target URL.</p>
          </li>
          <li>
            <p class="mb-0x">Add Plugins on the API</p>
            <p class="sm">Then add extra functionality by using Kong Plugins. You can also create your own plugins.</p>
          </li>
          <li>
            <p class="mb-0x">Make a Request</p>
            <p class="sm">...and then you can consume the API on port 8000 by requesting the public DNS specified. In production point the public DNS to Kong. It also supports URL path routing.</p>
          </li>
        </ol>
      </div>
      <div class="col col-md-6 pt-2x pt-md-0x">
        <div class="highlight mb-4x">
          <pre><code class="language-bash hljs" data-lang="bash"><span class="nv">$ </span>curl -i -X POST <span class="se">\</span>
  --url http://localhost:8001/apis/ <span class="se">\</span>
  --data <span class="s1">'name=example-api'</span> <span class="se">\</span>
  --data <span class="s1">'hosts=example.com'</span> <span class="se">\</span>
  --data <span class="s1">'upstream_url=http://example.com'</span></code></pre>
        </div>
        <div class="highlight mb-4x">
          <pre><code class="language-bash hljs" data-lang="bash"><span class="nv">$ </span>curl -i -X POST <span class="se">\</span>
--url http://localhost:8001/apis/example-api/plugins/ <span class="se">\</span>
--data <span class="s1">'name=rate-limiting'</span> <span class="se">\</span>
--data <span class="s1">'config.minute=100'</span></code></pre>
        </div>
        <div class="highlight mb-4x">
          <pre><code class="language-bash hljs" data-lang="bash"><span class="nv">$ </span>curl -i -X GET <span class="se">\</span>
  --url http://localhost:8000/ <span class="se">\</span>
  --header <span class="s1">'Host: example.com'</span></code></pre>
        </div>
      </div>
    </div>
  </div>
</section>

<section>
  <div class="container">
    <div class="row py-2x">
      <div class="col col-sm-12 text-center">
        <h4>Community Driven. Join the Kong Movement</h4>
      </div>
    </div>
    <div class="row community-wrapper pt-2x mb-4x">
      <div class="col-12 col-lg-4 mb-1x mb-lg-0x details border-after d-flex align-items-center">
        <div class="pr-2x"><?php include('assets/img/editions/github.svg');?></div>
        <div>
          <a class="github-button" href="https://github.com/Kong/kong" data-icon="octicon-star" data-show-count="true" aria-label="Star mashape/kong on GitHub">Star</a><br>
          <a class="github-button" href="https://github.com/Kong/kong/fork" data-icon="octicon-repo-forked" data-show-count="true" aria-label="Fork mashape/kong on GitHub">Fork</a><br>
          <a class="github-button" href="https://github.com/Kong/kong/subscription" data-icon="octicon-eye" data-show-count="true" aria-label="Watch mashape/kong on GitHub">Watch</a>
        </div>
      </div>
      <div class="col-12 col-lg-4 mb-1x mb-lg-0x details border-after d-flex align-items-center">
        <div class="pr-2x"><?php include('assets/img/editions/meetups.svg');?></div>
        <div class="pr-1x">
          <p>Join a Meetup</p>
            <p class="sm">Be part of the Kong Community and <a href="http://kong.meetup.com/" class="green">Start Yours</a> or <a href="/meetups" class="green">Join</a> one of the upcomming meetups!</p>
        </div>
      </div>
      <div class="col-12 col-lg-4 mb-1x mb-lg-0x details d-flex align-items-center">
        <div class="pr-2x"><?php include('assets/img/editions/kong-nation-community.svg');?></div>
        <div>
          <p>Have an issue or question?</p>
          <p class="sm">Join <a href="https://discuss.konghq.com/" target="_blank" class="green">Kong Nation</a> to research API gateway topics, post questions, and discuss all things Kong.</p>
        </div>
      </div>
    </div>
    <div class="row pt-4x bt">
      <div class="col text-center">
        <p class="heading-1">Need more power?</p>
        <a href="/kong-enterprise-edition/" class="btn btn-outline-success --green px-2x">Explore Kong Enterprise</a>
      </div>
    </div>
  </div>
</section>

<?php
  endwhile; // End of the loop.
  get_footer();
?>
