<?php
/**
 * The template for displaying single webinar posts

 *
 * @package konghq
 */

  get_header();
  while ( have_posts() ) : the_post();
  $webinar = get_field('webinar_date'); // Webinar Date
  $formatDate = date('F d', strtotime($webinar));
  $today = date('Ymd'); // Today’s date
  $compareDate = date('Ymd', strtotime($webinar));
?>

<section class="bg-gray pt-md-4x">
  <div class="container">
    <div class="row">
      <div class="col-12 col-md-6">
        <p class="mini">
          <a href="/webinars" class="green text-uppercase fw-500" style="letter-spacing: .5px;">Webinars</a><i class="fa fa-chevron-right fa-1 ml-1x" aria-hidden="true" style="font-size: .5rem"></i>
        </p>
        <h1 class="mb-1x"><?php the_title();?></h1>
        <?php if ($today < $compareDate): ?>
			    <h4 class="lightBlue mb-2x mb-md-4x">
  			  <?php echo $formatDate; ?>, 
  			  <?php the_field('webinar_time');?> (Pacific Time)</h4>
        <?php else: ?>
		      <h4 class="lightBlue mb-2x mb-md-4x">Watch On Demand</h4>
        <?php endif ?>
        <h3><?php the_field('webinar_description');?></h3>
      </div>
      <div class="col-12 col-md-6 mt-2x mt-md-0x">
        <div class="card">
          <noscript>
            <iframe src="<?php the_field('pardot_form'); ?>" width="100%" height="400" type="text/html" frameborder="0" allowTransparency="true" style="border: 0"></iframe>
          </noscript>
          <script type="text/javascript">
            var form = '<?php the_field('pardot_form'); ?>';
            var params = window.location.search;
            var thisScript = document.scripts[document.scripts.length - 1];
            var iframe = document.createElement('iframe');
            iframe.setAttribute('src', form + params);
            iframe.setAttribute('width', '100%');
            iframe.setAttribute('height', 400);
            iframe.setAttribute('type', 'text/html');
            iframe.setAttribute('frameborder', 0);
            iframe.setAttribute('allowTransparency', 'true');
            iframe.style.border = '0';
            thisScript.parentElement.replaceChild(iframe, thisScript);
          </script>           
        </div>
        <p class="mini mt-1x">By registering, you submit your information to the webinar organizer, who will use it to communicate with you regarding this event and their other services. </p>
      </div>
    </div>
  </div>
</section>

<section class="pt-4x">
  <div class="container">
    <div class="row justify-content-center mb-2x">
      <div class="col-12 col-md-8">
        <h4 class="fw-500">About this Webinar</h4>
        <hr>
        <?php the_content();?>
      </div>
    </div>
    <div class="row justify-content-center">
      <div class="col-12 col-md-8">
        <h4>Presented By</h4>
        <hr>
        <div class="row">
          <?php if( have_rows('presenters') ): while ( have_rows('presenters') ) : the_row(); ?>
            <div class="col-12 col-xl-6 mb-1x mb-md-2x">
              <div class="row">
                <div class="col-auto mr-1x pl-1x">
                  <img src="<?php the_sub_field('presenter_img');?>" alt="<?php the_sub_field('presenter_name');?>" class="rounded-circle" width="64">
                </div>
                <div class="col-auto">
                  <p class="lg mb-0x"><?php the_sub_field('presenter_name');?></p>
                  <p class="sm"><?php the_sub_field('presenter_title');?></p>
                </div>
              </div>
            </div>
          <?php endwhile; endif; ?>
        </div>
      </div>
    </div>
  </div>
</section>

<?php
  endwhile;
  get_footer();
?>
