<?php
/**
 * Template part for displaying the blog posts
 *
 *
 * @package konghq
 */

// Get posts
if ( have_posts() ) : while ( have_posts() ) : the_post();

// Get category of posts
$category = get_the_category($post->ID);
?>

<div class="kong-post mb-2x mb-md-4x">
  <header class="cat-<?php echo $category[0]->slug; if ( has_post_thumbnail() ) { echo ' has-img'; } ?>">
    <a href="<?php the_permalink();?>" alt="<?php the_title_attribute(); ?>">
      <?php the_post_thumbnail('full');?>
    </a>
  </header>
  <article class="kong-article container col-10">
    <div class="row justify-content-center">
      <div class="col col-md-10">
        <div class="author-details">
          <p class="mini">
            <?php echo get_the_date('F j, Y');?> 
            <strong>
              <?php
                // Show first category
                echo '<a href="/blog/category/'. $category[0]->slug .'">'. $category[0]->cat_name . '</a> | ';
              ?>
              <?php echo do_shortcode('[rt_reading_time]');?> MIN READ
            </strong>
          </p>
        </div>
        <a href="<?php the_permalink();?>" alt="<?php the_title_attribute(); ?>" class="drk">
          <h2><?php the_title();?></h2>
        </a>
        <?php the_excerpt();?>
      </div>
    </div>
  </article>
</div>

<?php
  endwhile;
  the_posts_navigation( array(
    'screen_reader_text' => ' ',
    'prev_text' => __( '<i class="fa fa-long-arrow-left mr-1x" aria-hidden="true"></i> OLDER POSTS', '' ),
    'next_text' => __( 'NEWER POSTS<i class="fa fa-long-arrow-right ml-1x" aria-hidden="true"></i>', '' ),
  ));
  else :
  get_template_part( 'template-parts/content', 'none' );
  endif;
?>
