<?php
/**
 * Template part for displaying a message that posts cannot be found
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package konghq
 */

?>

<section class="no-results not-found">

	<div class="page-content row justify-content-center">

		<?php if ( is_search() ) : ?>

			<header class="page-header col-8">
				<h1 class="page-title"><?php esc_html_e( 'Nothing Found', 'konghq' ); ?></h1>
			</header><!-- .page-header -->

			<div class="col-8">
				<p><?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'konghq' ); ?></p>
			</div>

			<div class="search-input-wrapper col-8">
        <?php get_template_part('template-parts/searchform'); ?>
      </div>

		<?php else : ?>

			<p><?php esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'konghq' ); ?></p>

			<div class="search-input-wrapper">
        <?php get_template_part('template-parts/searchform'); ?>
      </div>


		<?php endif; ?>
	</div><!-- .page-content -->
</section><!-- .no-results -->
