<?php
/*
This is the archive for the custom post type of Plugins
*/
get_header(); ?>

<section class="intro">
  <div class="container">
    <div class="row justify-content-md-center">
      <div class="col col-md-8">
        <h1>Plugins Hub</h1>
        <h3>Extend Kong with powerful plugins.</h3>
      </div>
    </div>
  </div>
</section>

<section class="container kong-plugins bt">
  <div class="row">
    <div class="col col-lg-3 hidden-md-down sidebar">
      <div class="sticky-top" style="top: 106px;">
        <h5 class="mb-1x">Plugins</h5>
        <ul class="nav flex-column mb-4x plugin-filter">
          <li class="nav-item"><a class="nav-link active" data-filter="all">All Plugins</a></li>
          <li class="nav-item"><a class="nav-link" data-filter="open-source">Open Source</a></li>
          <li class="nav-item"><a class="nav-link" data-filter="enterprise">Enterprise</a></li>
        </ul>
        <h5 class="my-1x">Categories</h5>
        <ul class="nav flex-column" id="scroll-sidebar">
          <?php
          // Get all plugin categories
          $terms = get_terms( 'plugin_cat', array('hide_empty' => false,));
         ?>
          <?php foreach($terms as $index => $term_single) { ?>
            <li class="nav-item">
              <a class="nav-link <?php if ($index == 0 ){ echo 'active'; }?>" data-link="scroll" href="#<?php echo $term_single->slug;?>">
                <?php echo $term_single->name;?>
              </a>
            </li>
          <?php } ?>
         </ul>
         <hr>
         <p class="sm">Psst, looking for something else?</p>
         <a class="btn btn-gry" href="https://discuss.konghq.com/" target="_blank">Suggest a Plugin</a>
      </div>
    </div>
    <div class="col-12 col-lg-9" >
      <?php
      // For each category loop plugins & category
      $plugin_terms = get_terms('plugin_cat');
      foreach($plugin_terms as $plugin_term) {
        wp_reset_query();
        $args = array(
          'post_type' => 'plugins',
          'posts_per_page' => -1,
          'tax_query' => array(
            array(
              'taxonomy' => 'plugin_cat',
              'field' => 'slug',
              'terms' => $plugin_term->slug,
            ),
          ),
        );
        $loop = new WP_Query($args); if($loop->have_posts()) :
      ?>
      <div class="row" id="<?php echo $plugin_term->slug;?>">
        <div class="row">
          <div class="col">
            <h4 class="fw-500"><?php echo $plugin_term->name; ?></h4>
            <p><?php echo $plugin_term->description;?></p>
          </div><!--/col-->
        </div><!--/row-->
        <div class="row mb-2x">
          <?php
            while($loop->have_posts()) : $loop->the_post();
            $type = str_replace(' ', '-', strtolower(get_field('plugin_type')));
          ?>
            <div class="col-12 col-md-6 col-lg-4 my-1x card-group">
              <div class="card plugin-card align-items-center text-center <?php echo $type; ?>">
                <a href="<?php the_field('plugin_url');?>">
                  <img class="card-img-top" src="<?php echo get_the_post_thumbnail_url();?>" width="64" height="64"/>
                  <p class="lg mt-1x fw-500"><?php echo get_the_title();?></p>
                  <p class="sm text-center"><?php echo get_the_content();?></p>
                </a>
              </div>
            </div>
          <?php endwhile; ?>
        </div>
      </div><!--/#section -->
      <?php endif; } ?>
    </div>
  </div>
</section>

<?php get_footer(); ?>
