var Dropdown = (function () {

  function Module(config) {

    this.element = config.element;
    this.head = this.element.querySelector('.dropdown-toggle');
    this.body = this.element.querySelector('.dropdown-menu');

    this._bindEvents();
  }

  Module.prototype._bindEvents = function _bindEvents() {

    this._handleClick = this._handleClick.bind(this);
    this.head.addEventListener('click', this._handleClick);
  }

  Module.prototype._handleClick = function _handleClick() {

    if (this.active) {
      this._deactivate();
    }
    else {
      this._activate();
    }
  }

  Module.prototype._activate = function _activate() {
    this.active = true;
    this.head.setAttribute('aria-expanded', this.active);
    this.body.setAttribute('aria-hidden', !this.active);
  }

  Module.prototype._deactivate = function _deactivate() {
    this.active = false;
    this.head.setAttribute('aria-expanded', this.active);
    this.body.setAttribute('aria-hidden', !this.active);
  }

  return Module;
}());
