/* globals $ */

var ScrollToAnchor = (function () {

  var internals = {};

  internals.SCROLL_DURATION = 400;


  function Module(config) {

    this.anchors = config.anchors;

    this._register = {};

    this._bindEvents();
  }


  Module.prototype._bindEvents = function _bindEvents() {

    this._handleAnchorClick = this._handleAnchorClick.bind(this);

    this.anchors.forEach(function (anchor) {

      var hash = anchor.hash;
      var section = document.getElementById(hash.replace(/^#/, ''));

      if (section) {
        this._register[hash] = section;
        anchor.addEventListener('click', this._handleAnchorClick);
      }
      else {
        console.warn('ScrollToAnchor, section not found for ', hash);
      }
    }, this);
  }


  Module.prototype._handleAnchorClick = function _handleAnchorClick(ev) {

    ev.preventDefault();

    var section = this._register[ev.currentTarget.hash];

    $('html, body').animate({
      scrollTop: section.offsetTop
    }, internals.SCROLL_DURATION);
  }

  return Module;
}());
