/* globals $, Header, Dropdown, SpeakersController */

'use strict';

(function () {

  if (('ontouchstart' in window) || window.DocumentTouch && document instanceof DocumentTouch) {
    document.body.classList.add('touch');
  }


  var header = new Header({
    element: document.querySelector('.site-header')
  });

  var dropdowns = [];
  [].forEach.call(document.querySelectorAll('.dropdown'), function (dropdown) {

    dropdowns.push(new Dropdown({ element: dropdown }));
  });

  var speakers = new SpeakersController({
    element: document.querySelector('.speakers-info-wrapper'),
    minWidth: 515
  });

  // show play button when "new era" video has finished playing
  document.querySelector('[data-video-new-era]').addEventListener('ended', function () {

    document.querySelector('.about-video-play-target').classList.add('show');
  });


  // lazy load images that has data-src attribute
  setTimeout(function () {

    [].forEach.call(document.querySelectorAll('img[data-src]'), function (img) {

      img.setAttribute('src', img.getAttribute('data-src'));

      img.onload = function () {

        img.removeAttribute('data-src');
      };
    });
  }, 1000);


  // initialize video modal
  window._wq = window._wq || [];

  var wistiaInvitationPopoverVideo;

  _wq.push({
    id: 'qyctcap3n4',
    onReady: function (video) {

     wistiaInvitationPopoverVideo = video;

     wistiaInvitationPopoverVideo.bind('popovershow', function () {

        document.body.style.overflow = 'hidden';
      });

     wistiaInvitationPopoverVideo.bind('popoverhide', function () {

        document.body.style.overflow = 'auto';
      });
    }
  });
}());
