/* globals $ */

'use strict'

$(document).ready(function () {

  // Get current openings from lever and map to jobs page
  $.getJSON('https://api.lever.co/v0/postings/kong?group=team', function (data) {
    var openJobs = data
    $('#jobs-container ul').html(openJobs.map(function (posting, i) {
      var team = ('<h2 class="whr-group">' + posting.title + '</h2>')
      var job = posting.postings.map(function (post, i) {
        var postTitle = post.text
        var postLocation = post.categories.location
        var postLink = post.hostedUrl
        return ('<li class="d-flex justify-content-between whr-item"><a href="' + postLink + '">' + postTitle + '</a><span class="whr-location">' + postLocation + '</span></li>')
      }).join("")
      return (team + job)
    }))
  });

  // Initialize highlight js
  hljs.initHighlightingOnLoad();

  // Plugins filter
  $('a[data-filter]').click(function () {
    var value = $(this).data('filter');

    // Remove any active classes that may already be applied
    $('.plugin-filter a').removeClass('active')
    // Add active class sidebar li
    $(this).addClass('active')

    // For all faded cards, replace href with data-href value
    $('.plugin-card.fadeOut').each(function () {
      var link = $(this).find('a')
      link.attr('href', $(link).attr('data-href'))
      link.removeAttr('data-href')
    })

    // Remove any fade states that may already be applied
    $('.plugin-card').removeClass('fadeOut')

    // If the value of the li is not all continue
    if (value !== 'all') {
      // Fade all cards that don't have matching filter
      $('.plugin-card').not('.' + value).addClass('fadeOut')
      // For each faded card, move href to data-href and remove href
      $('.plugin-card.fadeOut').each(function () {
        var link = $(this).find('a')
        link.attr('data-href', $(link).attr('href'))
        link.removeAttr('href')
      })
    }
  })

  // Add Smooth scroll when link with attr clicked
  $('a[data-link="scroll"]').click(function () {
    $('html, body').animate({
      scrollTop: $($.attr(this, 'href')).offset().top - 86 // Add spacing on top after scroll
    }, 600); // Adjust scroll speed
    return false;
  })

  // Smooth scroll if hash in URL
  if (window.location.hash) {
    $('html, body').scrollTop(0).show();
    $('html, body').animate({
      scrollTop: $(window.location.hash).offset().top - 86// Add spacing on top after scroll
    }, 600); // Adjust scroll speed
  }

  // Scroll spy plugins sidebar
  $('body').scrollspy({ target: '#scroll-sidebar', offset: 86 });

  // Collapse Toggler
  $('button[data-toggle="kong-expand"]').on('click', function (e) {
    e.stopPropagation();
    var $this = $(this)
    $($this.data('target')).toggleClass('kong-navbar-collapse--expand')
    $this.toggleClass('active').attr('aria-expanded', true)
  })

  function closeMenu(e) {
    var target = e.target // Get target
    var menu = $('nav#pagesNav') // Get menu container
    var header = $('header.navbar') // Get header
    var toggler = $('.navbar-toggler') // Get menu toggle btn

    // if clicked target is not the menu container/decendent of menu container, toggler or header close
    if (!(menu).has(target).length > 0 && !menu.is(target) && !header.is(e.target) && !toggler.is(e.target)) {
      $('#pagesNav').removeClass('kong-navbar-collapse--expand')
      $('button[data-toggle="kong-expand"]').removeClass('active')
    }
  }

  // Close mobile menu when clicked outside
  $(window).on('click', function (e) {
    closeMenu(e)
  })

  // Close mobile menu on esc click
  $(document).keyup(function (e) {
    if (e.keyCode == 27) {
      closeMenu(e)
    }
  })

  // Highlight install button on scroll
  var $installBtn = $('.kong-navbar').find('.btn-primary')
  $(window).on('scroll', function () {
    var scrollTop = $(this).scrollTop()
    if (scrollTop > 76) {
      $installBtn.addClass('btn-highlight')
    } else {
      $installBtn.removeClass('btn-highlight')
    }
  })

  // Function to check if element is on screen
  $.fn.isOnScreen = function () {
    var element = this.get(0);
    var bounds = element.getBoundingClientRect();
    return bounds.top < window.innerHeight && bounds.bottom > 0;
  }

  // Check if on EE page
  if ($('body').hasClass('page-kong-enterprise-edition')) {
    // If kong EE illustration in view add aniamtion class
    $(window).scroll(function () {
      if ($('#kongEE').isOnScreen() == true) {
        $('#kongEE').addClass('animate')
      }
    }).scroll()
    // Repeat animation on click
    $('#ee-gorilla').on('click', function () {
      $('#kongEE').toggleClass('animate')
      setTimeout(function () {
        $('#kongEE').removeClass('animate').addClass('animate');
      }, 500);
    })
  }

  // Check for cookie
   if (!document.cookie.split(';').filter(function (item) {
    return item.indexOf('cookie-policy') >= 0
  }).length) {
    $('.cookie-policy-container').addClass('showing')
  }

  // Add body class if announcement is present
  if ($('.announcement-banner').length) {
    $('body').addClass('banner-visible')
  }
})
