<?php
/**
 * The template for displaying the footer
 */
?>

  </main><!--/.main-->

  <?php get_template_part( 'template-parts/content', 'newsletter' );?>

  <footer class="kong-footer light px-sm-2x">
    <div class="container">
      <nav class="kong-footer_nav ">
        <ul class="kong-footer_nav_list d-flex flex-wrap justify-content-between">
          <li class="kong-footer_nav_list_link col-12 col-md-auto">
            <h5>Products</h5>
            <a href="/kong-community-edition">Kong Community Edition</a>
            <a href="/kong-enterprise-edition">Kong Enterprise Edition</a>
            <a href="/cloud">Kong Cloud</a>
            <a href="/subscriptions">Subscriptions</a>
          </li>
           <li class="kong-footer_nav_list_link col-12 col-md-auto">
            <h5>Resources</h5>
            <a href="https://support.mashape.com" target="_blank">Enterprise Support</a>
            <a href="https://getkong.org/docs" target="_blank">Documentation</a>
            <a href="/partners">Partners</a>
            <a href="/webinars">Webinars</a>
            <a href="/ebooks">Ebooks</a>
            <a href="/meetups">Meetups</a>
          </li>
          <li class="kong-footer_nav_list_link col-12 col-md-auto">
            <h5>Company</h5>
            <a href="/about-kong-inc">About</a>
            <a href="/investors">Investors</a>
            <a href="/blog">News</a>
            <a href="/jobs">Jobs</a>
            <a href="/contact">Contact</a>
          </li>
          <li class="kong-footer_nav_list_link col-12 col-md-auto">
            <h5>Open Source</h5>
            <a href="http://mockbin.org/">Mockbin</a>
            <a href="http://apiembed.com/">API Embed</a>
            <a href="http://unirest.io/">Unirest</a>
            <a href="http://guardianjs.com/">Guardian JS</a>
            <a href="http://oauthbible.com/">OAuth Bible</a>
          </li>
          <li class="kong-footer_nav_list_link col-12 col-md-auto">
            <h5>Legal</h5>
            <a href="/terms">Terms of Service</a>
            <a href="/privacy">Privacy</a>
          </li>
        </ul>
      </nav>

      <div class="kong-footer_bottom">
        <ul class="d-flex flex-row align-items-center justify-content-between flex-wrap text-center">
          <li class="col-12 col-md-5 pl-md-0x text-md-left">
            <span class="pr-1x pr-lg-2x">&copy; Kong Inc. <?php echo date('Y');?></span><br class="hidden-md-up">
            <a class="heading-5" href="/terms">Terms</a>
            <span class="bullet"> &#8226; </span>
            <a class="heading-5" href="/privacy">Privacy</a>
          </li>
          <li class="col text-center pt-1x pt-md-0x kong-secret"><?php include('assets/img/KogoBlue.svg');?></li>
          <li class="col-12 col-md-5 pr-md-0x pt-1x pt-md-0x text-md-right social">
            <a href="https://www.facebook.com/konghq/" target="_blank">
              <i class="social-icon fa fa-facebook-official" aria-hidden="true" aria-label="Facebook"></i>
            </a>
            <a href="https://twitter.com/thekonginc" target="_blank">
              <i class="social-icon fa fa-twitter" aria-hidden="true" aria-label="Twitter"></i>
            </a>
            <a href="https://www.meetup.com/topics/kong/all/" target="_blank">
              <i class="social-icon fa fa-meetup" aria-hidden="true" aria-label="Meetup"></i>
            </a>
            <a href="https://linkedin.com/company/278819" target="_blank">
              <i class="social-icon fa fa-linkedin" aria-hidden="true" aria-label="LinkedIn"></i>
            </a>
            <a href="https://github.com/kong/kong" target="_blank" class="btn-gh">
              <i class="fa fa-github" aria-hidden="true" aria-label="GitHub"></i> Star
            </a>
          </li>
        </ul>
      </div>
    </div>
  </footer><!--/kong-footer-->

  <?php wp_footer(); ?>

</body>
</html>
