<?php
/* joints Custom Post Type Example
This page walks you through creating
a custom post type and taxonomies. You
can edit this one or copy the following code
to create another one.

I put this in a separate file so as to
keep it organized. I find it easier to edit
and change things if they are concentrated
in their own file.

*/

// let's create the function for the custom type
function custom_posts() {
  register_post_type( 'announcement', /* (http://codex.wordpress.org/Function_Reference/register_post_type) */
    // let's now add all the options for this post type
    array('labels' => array(
      'name' => __('Announcement', 'jointswp'), /* This is the Title of the Group */
      'singular_name' => __('Announcement', 'jointswp'), /* This is the individual type */
      'all_items' => __('All Announcement', 'jointswp'), /* the all items menu item */
      'add_new' => __('Add New', 'jointswp'), /* The add new menu item */
      'add_new_item' => __('Add New Announcement', 'jointswp'), /* Add New Display Title */
      'edit' => __( 'Edit', 'jointswp' ), /* Edit Dialog */
      'edit_item' => __('Edit Announcement', 'jointswp'), /* Edit Display Title */
      'new_item' => __('New Announcement', 'jointswp'), /* New Display Title */
      'view_item' => __('View Announcement', 'jointswp'), /* View Display Title */
      'search_items' => __('Search Announcement', 'jointswp'), /* Search Custom Type Title */
      'not_found' =>  __('Nothing found in the Database.', 'jointswp'), /* This displays if there are no entries yet */
      'not_found_in_trash' => __('Nothing found in Trash', 'jointswp'), /* This displays if there is nothing in the trash */
      'parent_item_colon' => ''
      ), /* end of arrays */
      // 'description' => __( 'This is the example custom post type', 'jointswp' ), /* Custom Type Description */
      'public' => true,
      'publicly_queryable' => true,
      'exclude_from_search' => true,
      'show_ui' => true,
      'query_var' => true,
      'menu_position' => 10, /* this is what order you want it to appear in on the left hand side menu */
      'menu_icon' => 'dashicons-megaphone', /* the icon for the custom post type menu. uses built-in dashicons (CSS class name) */
      // 'rewrite' => array( 'slug' => 'install', 'with_front' => false ), /* you can specify its url slug */
      'has_archive' => false, /* you can rename the slug here */
      'capability_type' => 'post',
      'hierarchical' => false,
      /* the next one is important, it tells what's enabled in the post editor */
      'supports' => array('')
    ) /* end of options */
  ); /* end of register post type */


  // create Installations custom type
  register_post_type( 'installations', /* (http://codex.wordpress.org/Function_Reference/register_post_type) */
    // let's now add all the options for this post type
    array('labels' => array(
      'name' => __('Installations', 'jointswp'), /* This is the Title of the Group */
      'singular_name' => __('Installation', 'jointswp'), /* This is the individual type */
      'all_items' => __('All Installations', 'jointswp'), /* the all items menu item */
      'add_new' => __('Add New', 'jointswp'), /* The add new menu item */
      'add_new_item' => __('Add New Installation', 'jointswp'), /* Add New Display Title */
      'edit' => __( 'Edit', 'jointswp' ), /* Edit Dialog */
      'edit_item' => __('Edit Installations', 'jointswp'), /* Edit Display Title */
      'new_item' => __('New Installation', 'jointswp'), /* New Display Title */
      'view_item' => __('View Installation', 'jointswp'), /* View Display Title */
      'search_items' => __('Search Installations', 'jointswp'), /* Search Custom Type Title */
      'not_found' =>  __('Nothing found in the Database.', 'jointswp'), /* This displays if there are no entries yet */
      'not_found_in_trash' => __('Nothing found in Trash', 'jointswp'), /* This displays if there is nothing in the trash */
      'parent_item_colon' => ''
      ), /* end of arrays */
      // 'description' => __( 'This is the example custom post type', 'jointswp' ), /* Custom Type Description */
      'public' => true,
      'publicly_queryable' => true,
      'exclude_from_search' => true,
      'show_ui' => true,
      'query_var' => true,
      'menu_position' => 12, /* this is what order you want it to appear in on the left hand side menu */
      'menu_icon' => 'dashicons-hammer', /* the icon for the custom post type menu. uses built-in dashicons (CSS class name) */
      'rewrite' => array( 'slug' => 'install', 'with_front' => false ), /* you can specify its url slug */
      'has_archive' => 'install', /* you can rename the slug here */
      'capability_type' => 'post',
      'hierarchical' => false,
      /* the next one is important, it tells what's enabled in the post editor */
      'supports' => array( 'title', 'editor', 'thumbnail', 'revisions', 'page-attributes')
    ) /* end of options */
  ); /* end of register post type */

  // create Plugins custom type
  register_post_type( 'plugins', /* (http://codex.wordpress.org/Function_Reference/register_post_type) */
    // let's now add all the options for this post type
    array('labels' => array(
      'name' => __('Kong Plugins', 'jointswp'), /* This is the Title of the Group */
      'singular_name' => __('Kong Plugin', 'jointswp'), /* This is the individual type */
      'all_items' => __('All Plugins', 'jointswp'), /* the all items menu item */
      'add_new' => __('Add New', 'jointswp'), /* The add new menu item */
      'add_new_item' => __('Add New Plugin', 'jointswp'), /* Add New Display Title */
      'edit' => __( 'Edit', 'jointswp' ), /* Edit Dialog */
      'edit_item' => __('Edit Plugins', 'jointswp'), /* Edit Display Title */
      'new_item' => __('New Plugin', 'jointswp'), /* New Display Title */
      'view_item' => __('View Plugin', 'jointswp'), /* View Display Title */
      'search_items' => __('Search Plugins', 'jointswp'), /* Search Custom Type Title */
      'not_found' =>  __('Nothing found in the Database.', 'jointswp'), /* This displays if there are no entries yet */
      'not_found_in_trash' => __('Nothing found in Trash', 'jointswp'), /* This displays if there is nothing in the trash */
      'parent_item_colon' => ''
      ), /* end of arrays */
      // 'description' => __( 'This is the example custom post type', 'jointswp' ), /* Custom Type Description */
      'public' => true,
      'publicly_queryable' => true,
      'exclude_from_search' => true,
      'show_ui' => true,
      'query_var' => true,
      'menu_position' => 12, /* this is what order you want it to appear in on the left hand side menu */
      'menu_icon' => 'dashicons-grid-view', /* the icon for the custom post type menu. uses built-in dashicons (CSS class name) */
      'rewrite' => array( 'slug' => 'plugins', 'with_front' => false ), /* you can specify its url slug */
      'has_archive' => 'plugins', /* you can rename the slug here */
      'capability_type' => 'post',
      'hierarchical' => false,
      /* the next one is important, it tells what's enabled in the post editor */
      'supports' => array( 'title', 'thumbnail', 'editor', 'tags', 'revisions')
    ) /* end of options */
  ); /* end of register post type */

  // create Webinars custom type
  register_post_type( 'webinars', /* (http://codex.wordpress.org/Function_Reference/register_post_type) */
    // let's now add all the options for this post type
    array('labels' => array(
      'name' => __('Webinars', 'jointswp'), /* This is the Title of the Group */
      'singular_name' => __('Webinar', 'jointswp'), /* This is the individual type */
      'all_items' => __('All Webinars', 'jointswp'), /* the all items menu item */
      'add_new' => __('Add New', 'jointswp'), /* The add new menu item */
      'add_new_item' => __('Add New Webinar', 'jointswp'), /* Add New Display Title */
      'edit' => __( 'Edit', 'jointswp' ), /* Edit Dialog */
      'edit_item' => __('Edit Webinars', 'jointswp'), /* Edit Display Title */
      'new_item' => __('New Webinar', 'jointswp'), /* New Display Title */
      'view_item' => __('View Webinar', 'jointswp'), /* View Display Title */
      'search_items' => __('Search Webinars', 'jointswp'), /* Search Custom Type Title */
      'not_found' =>  __('Nothing found in the Database.', 'jointswp'), /* This displays if there are no entries yet */
      'not_found_in_trash' => __('Nothing found in Trash', 'jointswp'), /* This displays if there is nothing in the trash */
      'parent_item_colon' => ''
      ), /* end of arrays */
      // 'description' => __( 'This is the example custom post type', 'jointswp' ), /* Custom Type Description */
      'public' => true,
      'publicly_queryable' => true,
      'exclude_from_search' => true,
      'show_ui' => true,
      'query_var' => true,
      'menu_position' => 12, /* this is what order you want it to appear in on the left hand side menu */
      'menu_icon' => 'dashicons-video-alt2', /* the icon for the custom post type menu. uses built-in dashicons (CSS class name) */
      'rewrite' => array( 'slug' => 'webinars', 'with_front' => false ), /* you can specify its url slug */
      'has_archive' => 'webinars', /* you can rename the slug here */
      'capability_type' => 'post',
      'hierarchical' => true,
      /* the next one is important, it tells what's enabled in the post editor */
      'supports' => array( 'title', 'editor', 'thumbnail', 'revisions', 'page-attributes')
    ) /* end of options */
  ); /* end of register post type */

    // create Ebooks custom type
    register_post_type( 'ebooks', /* (http://codex.wordpress.org/Function_Reference/register_post_type) */
    // let's now add all the options for this post type
    array('labels' => array(
      'name' => __('Ebooks', 'jointswp'), /* This is the Title of the Group */
      'singular_name' => __('Ebook', 'jointswp'), /* This is the individual type */
      'all_items' => __('All Ebooks', 'jointswp'), /* the all items menu item */
      'add_new' => __('Add New', 'jointswp'), /* The add new menu item */
      'add_new_item' => __('Add New Ebook', 'jointswp'), /* Add New Display Title */
      'edit' => __( 'Edit', 'jointswp' ), /* Edit Dialog */
      'edit_item' => __('Edit Ebooks', 'jointswp'), /* Edit Display Title */
      'new_item' => __('New Ebook', 'jointswp'), /* New Display Title */
      'view_item' => __('View Ebook', 'jointswp'), /* View Display Title */
      'search_items' => __('Search Ebooks', 'jointswp'), /* Search Custom Type Title */
      'not_found' =>  __('Nothing found in the Database.', 'jointswp'), /* This displays if there are no entries yet */
      'not_found_in_trash' => __('Nothing found in Trash', 'jointswp'), /* This displays if there is nothing in the trash */
      'parent_item_colon' => ''
      ), /* end of arrays */
      // 'description' => __( 'This is the example custom post type', 'jointswp' ), /* Custom Type Description */
      'public' => true,
      'publicly_queryable' => true,
      'exclude_from_search' => true,
      'show_ui' => true,
      'query_var' => true,
      'menu_position' => 12, /* this is what order you want it to appear in on the left hand side menu */
      'menu_icon' => 'dashicons-book-alt', /* the icon for the custom post type menu. uses built-in dashicons (CSS class name) */
      'rewrite' => array( 'slug' => 'ebooks', 'with_front' => false ), /* you can specify its url slug */
      'has_archive' => 'ebooks', /* you can rename the slug here */
      'capability_type' => 'post',
      'hierarchical' => true,
      /* the next one is important, it tells what's enabled in the post editor */
      'supports' => array( 'title', 'editor', 'thumbnail', 'revisions', 'page-attributes')
    ) /* end of options */
  ); /* end of register post type */

  // create Meetups custom type
  register_post_type( 'meetups', /* (http://codex.wordpress.org/Function_Reference/register_post_type) */
    // let's now add all the options for this post type
    array('labels' => array(
      'name' => __('Meetups', 'jointswp'), /* This is the Title of the Group */
      'singular_name' => __('Meetup', 'jointswp'), /* This is the individual type */
      'all_items' => __('All Meetups', 'jointswp'), /* the all items menu item */
      'add_new' => __('Add New', 'jointswp'), /* The add new menu item */
      'add_new_item' => __('Add New Meetup', 'jointswp'), /* Add New Display Title */
      'edit' => __( 'Edit', 'jointswp' ), /* Edit Dialog */
      'edit_item' => __('Edit Meetups', 'jointswp'), /* Edit Display Title */
      'new_item' => __('New Meetup', 'jointswp'), /* New Display Title */
      'view_item' => __('View Meetup', 'jointswp'), /* View Display Title */
      'search_items' => __('Search Meetups', 'jointswp'), /* Search Custom Type Title */
      'not_found' =>  __('Nothing found in the Database.', 'jointswp'), /* This displays if there are no entries yet */
      'not_found_in_trash' => __('Nothing found in Trash', 'jointswp'), /* This displays if there is nothing in the trash */
      'parent_item_colon' => ''
      ), /* end of arrays */
      // 'description' => __( 'This is the example custom post type', 'jointswp' ), /* Custom Type Description */
      'public' => true,
      'publicly_queryable' => true,
      'exclude_from_search' => true,
      'show_ui' => true,
      'query_var' => true,
      'menu_position' => 12, /* this is what order you want it to appear in on the left hand side menu */
      'menu_icon' => 'dashicons-nametag', /* the icon for the custom post type menu. uses built-in dashicons (CSS class name) */
      'rewrite' => array( 'slug' => 'meetups', 'with_front' => false ), /* you can specify its url slug */
      'has_archive' => 'meetups', /* you can rename the slug here */
      'capability_type' => 'post',
      'hierarchical' => true,
      /* the next one is important, it tells what's enabled in the post editor */
      'supports' => array( 'title', 'revisions', 'page-attributes')
    ) /* end of options */
  ); /* end of register post type */
}

// adding the function to the Wordpress init
add_action( 'init', 'custom_posts');

// Custom product categories (these act like categories)
register_taxonomy( 'plugin_cat',
  array('plugins'), /* if you change the name of register_post_type( 'custom_type', then you have to change this */
  array('hierarchical' => true,     /* if this is true, it acts like categories */
    'labels' => array(
      'name' => __( 'Plugin Categories', 'jointswp' ), /* name of the custom taxonomy */
      'singular_name' => __( 'Plugin Category', 'jointswp' ), /* single taxonomy name */
      'search_items' =>  __( 'Search Plugin Categories', 'jointswp' ), /* search title for taxomony */
      'all_items' => __( 'All Plugin Categories', 'jointswp' ), /* all title for taxonomies */
      'parent_item' => __( 'Parent Plugin Category', 'jointswp' ), /* parent title for taxonomy */
      'parent_item_colon' => __( 'Parent Plugin Category:', 'jointswp' ), /* parent taxonomy title */
      'edit_item' => __( 'Edit Plugin Category', 'jointswp' ), /* edit custom taxonomy title */
      'update_item' => __( 'Update Plugin Category', 'jointswp' ), /* update title for taxonomy */
      'add_new_item' => __( 'Add New Plugin Category', 'jointswp' ), /* add new title for taxonomy */
      'new_item_name' => __( 'New Plugin Category Name', 'jointswp' ) /* name title for taxonomy */
  ),
    'show_admin_column' => true,
    'show_ui' => true,
    'query_var' => true
  )
);
