<?php
function logErrorToCSV(
  $type,
  $error,
  $data = array(),
  $filepath = './error-log.csv'
) {
  //$type = category of error to log (pardot, salesforce, etc.)
  //$error = description of error ('pardot responded with "invalid credentials")
  //$data = associative array of values containing data to send (array(test', 'mctestface'))
  //$filepath = filepath to write to (creates if absent), defaults to './errorLog.csv'

  if (substr($filepath, -4) !== '.csv') {
    $filepath .= '.csv';
  }

  $errorLog = fopen($filepath, 'a');
  $data = serialize($data);
  fputcsv($errorLog, array(date("Y-m-d h:i:sa"), $type, $error, $data));
  fclose($errorLog);
}

function logErrorToNewRelic($type, $error, $data = array())
{
  //$type = category of error to log (pardot, salesforce, etc.)
  //$error = description of error ('pardot responded with "invalid credentials")
  //$data = associative array containing data to send (array('first_name'=>'test', 'last_name'=>'mctestface'))

  $curl = curl_init();
  $errorDetails = array(
    "eventType" => "ErrorLog", //IMPORTANT: Do NOT change this value. It cannot be deleted once set!!!
    "errorType" => $type,
    "errorMsg" => $error,
  );
  $errorObj = array_merge($errorDetails, $data);

  curl_setopt_array($curl, array(
    CURLOPT_URL => "https://insights-collector.newrelic.com/v1/accounts/1539761/events",
    CURLOPT_CUSTOMREQUEST => "POST",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => array('Content-type: application/json', 'X-Insert-Key: BbzqNxkwUM-uMyXjJDhNY1jWIpE_WrGj'),
    CURLOPT_POSTFIELDS => json_encode($errorObj),
  ));

  curl_exec($curl);
  curl_close($curl);
}
