<?php
$products = array('264', '270', '272', '274', '276', '278', '493', '266', '268', '314');
$plugins = array('plugins');
$resources = array('webinars');
$partners = array('partners');
$company = array('7', '51', '23', '26');
?>

<?php get_template_part('template-parts/announcement-banner'); ?>

<header class="navbar navbar-inverse fixed-top navbar-toggleable-lg kong-navbar flex-row align-items-center">
  <div class="container d-flex">
    <a href="/" class="navbar-brand col col-xl-auto">
      <img src="<?php echo get_stylesheet_directory_uri()?>/assets/img/Kogo.svg" alt="Kong Logo">
    </a>

    <nav class="collapse navbar-collapse col justify-content-md-end kong-navbar_nav">
      <ul class="navbar-nav">
        <li class="navbar-item kong-navbar-dropdown">
          <a class="nav-link <?php if(is_page($products)) { echo 'active'; }?>">Products</a>
          <div class="list-group" style="width: 400px; left: -150px;">
            <a href="/kong-community-edition" class="list-group-item list-group-item-action">
              <h5 class="mb-1">Kong Community Edition <span class="kong-github-latest-release badge"><?php echo get_option('kong_version'); ?></span></h5>
              <p class="mb-0">The blazingly fast open source microservice API gateway.</p>
            </a>
            <a href="/kong-enterprise-edition" class="list-group-item list-group-item-action">
              <h5 class="mb-1">Kong Enterprise Edition</h5><br>
              <p class="mb-0">The microservice API platform for large organizations.</p>
            </a>
            <a href="/cloud" class="list-group-item list-group-item-action">
              <h5 class="mb-1">Kong Cloud</h5>&nbsp;
              <p class="mb-0">Kong Enterprise innovation delivered at cloud speed.</p>
            </a>
            <a href="/subscriptions" class="list-group-item list-group-item-action highlight">
              <h5 class="mb-1">Subscriptions</h5>&nbsp;
              <p class="mb-0">Compare Kong editions and features.</p>
            </a>
          </div>
        </li>
        <li class="navbar-item"><a class="nav-link <?php if(is_post_type_archive($plugins)) { echo 'active'; }?>" href="/plugins/">Plugins Hub</a></li>
        <li class="navbar-item kong-navbar-dropdown kong-navbar-dropdown--columns">
          <a class="nav-link <?php if(is_post_type_archive($resources) || is_singular('webinars')) { echo 'active'; }?>">Resources</a>
          <div class="list-group">
            <div class="list-group-item flex-row flex-nowrap">
              <div class="kong-navbar-dropdown_column">
                <h5 class="mb-2">Documentation</h5>
                <a href="https://getkong.org/docs/">Kong Community Edition</a>
                <a href="https://getkong.org/docs/enterprise">Kong Enterprise Edition</a>
                <a href="https://getkong.org/docs/enterprise/latest/vitals/">Kong Analytics</a>
                <a href="https://getkong.org/docs/enterprise/latest/developer-portal/overview/">Kong Dev Portal</a>
              </div>
              <div class="kong-navbar-dropdown_column">
                <h5 class="mb-2">Support</h5>
                <a href="https://support.mashape.com/hc/en-us">Enterprise Support Portal</a>
                <h5 class="mb-2 spacer">Community</h5>
                <div class="flex-row kong-nav-community-links-container">
                  <a href="https://github.com/Kong/">GitHub</a> <span class="bullet">&#8226;</span> <a href="https://discuss.konghq.com/">Kong Forum</a>
                </div>
                <h5 class="mb-2 spacer">Learn</h5>
                <div class="flex-row kong-nav-community-links-container">
                  <a href="/webinars/">Webinars</a>
                  <span class="bullet">&#8226;</span>
                  <a href="/ebooks/">Ebooks</a>
                  <span class="bullet">&#8226;</span>
                  <a href="/meetups">Meetups</a>
                </div>
              </div>
            </div> <!-- list-group-item -->
          </div> <!-- list-group -->
        </li>
        <li class="navbar-item"><a class="nav-link <?php if(is_page($partners)) { echo 'active'; }?>" href="/partners">Partners</a></li>
        <li class="navbar-item kong-navbar-dropdown kong-navbar-dropdown-small">
          <a class="nav-link <?php if(is_page($company)) { echo 'active'; }?>">Company</a>
          <div class="list-group" style="width: 100px; left: -50px;">
            <a href="/about-kong-inc" class="list-group-item list-group-item-action">About</a>
            <a href="/investors" class="list-group-item list-group-item-action">Investors</a>
            <a href="/jobs" class="list-group-item list-group-item-action">Jobs</a>
            <a href="/contact" class="list-group-item list-group-item-action">Contact</a>
          </div>
        </li>
        <li class="navbar-item"><a class="nav-link <?php if(is_home() || is_singular('post') || is_category() || is_search()) { echo 'active'; }?>" href="/blog">Blog</a></li>
      </ul>
    </nav>

    <nav id="ctaNav" class="col-auto justify-content-md-end kong-navbar_nav hidden-sm-down">
      <ul class="navbar-nav flex-row justify-content-end">
        <li class="kong-navbar_nav_link kong-navbar_nav_link--cta"><a class="nav-link btn btn-outline-secondary" href="/request-demo">Request Demo</a></li>
        <li class="kong-navbar_nav_link kong-navbar_nav_link--cta"><a class="nav-link btn btn-primary" href="/installations">Installation</a></li>
      </ul>
    </nav>

    <button class="navbar-toggler align-self-center" type="button" data-toggle="kong-expand" data-target="#pagesNav" aria-controls="pagesNav" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
  </div>

</header>

<nav id="pagesNav" class="fixed-top hidden-xl-up kong-navbar-collapse">
  <div class="kong-navbar-collapse_section row no-gutters justify-content-between">
    <h5 class="col-12">
      <a class="nav-link">Products</a>
    </h5>

    <div class="col-md-6">
      <h6>Kong Community Edition</h6>
      <a class="nav-link" href="/kong-community-edition">Overview</a>
      <a class="nav-link" href="/api-gateway">API Gateway</a>
      <a class="nav-link" href="/faqs">FAQs</a>
    </div>

    <div class="col-md-6">
      <h6>Kong Enterprise Edition</h6>
      <div class="row">
        <div class="col-4">
          <a class="nav-link" href="/kong-enterprise-edition">Overview</a>
          <a class="nav-link" href="/api-admin-gui">Admin GUI</a>
          <a class="nav-link" href="/api-security">Security</a>
          <a class="nav-link" href="/api-dev-portal">Dev Portal</a>
        </div>
        <div class="col-4">
           <a class="nav-link" href="/api-analytics">Analytics</a>
          <a class="nav-link" href="/api-high-availability">High Availability</a>
          <a class="nav-link" href="/api-customer-success">Support</a>
        </div>
      </div>
    </div>

    <div class="col-md-6">
      <h6>Kong Cloud</h6>
      <div class="row">
        <div class="col-4">
          <a class="nav-link" href="/kong-cloud">Overview</a>
        </div>
      </div>
    </div>
  </div>

  <div class="kong-navbar-collapse_section">
    <h5>
      <a class="nav-link" href="/plugins/">Plugins Hub</a>
    </h5>
  </div>

  <div class="kong-navbar-collapse_section row no-gutters justify-content-between">
    <h5 class="col-12">
      <a class="nav-link">Resources</a>
    </h5>

    <div class="col-md-6">
      <h6>Documentation</h6>
      <a class="nav-link" href="https://getkong.org/docs/">Kong Community Edition</a>
      <a class="nav-link" href="https://getkong.org/docs/enterprise">Kong Enterprise Edition</a>
      <a class="nav-link" href="https://getkong.org/docs/enterprise/latest/vitals/">Kong Analytics</a>
      <a class="nav-link" href="https://getkong.org/docs/enterprise/latest/developer-portal/introduction/">Kong Dev Portal</a>
    </div>

    <div class="col-md-6">
      <h6>Support</h6>
      <a class="nav-link" href="https://support.mashape.com/hc/en-us">Enterprise Support Portal</a>

      <h6 class="short-top">Community</h6>
      <div class="flex-row">
        <a class="nav-link d-inline-flex" href="https://github.com/Kong">GitHub</a> <span class="bullet">&#8226;</span> <a class="nav-link d-inline-flex" href="https://discuss.konghq.com/">Kong Forum</a>
      </div>
    </div>

    <div class="col-md-6">
      <h6 class="shot-top">Learn</h6>
      <a class="nav-link" href="/webinars">Webinars</a>
      <a class="nav-link" href="/ebooks">Ebooks</a>
      <a class="nav-link" href="/meetups">Meetups</a>
    </div>
  </div>

  <div class="kong-navbar-collapse_section">
    <h5>
      <a class="nav-link" href="/partners">Partners</a>
    </h5>
  </div>

  <div class="kong-navbar-collapse_section">
    <h5>
      <a class="nav-link">Company</a>
    </h5>
    <a class="nav-link" href="/about-kong-inc">About</a>
    <a class="nav-link" href="/investors">Investors</a>
    <a class="nav-link" href="/jobs">Jobs</a>
    <a class="nav-link" href="/contact">Contact</a>
  </div>

  <div class="kong-navbar-collapse_section">
    <h5>
      <a class="nav-link" href="/blog">Blog</a>
    </h5>
  </div>

  <div class="hidden-md-up kong-navbar-collapse_section kong-navbar-collapse_section--buttons">
    <a class="btn" href="request-demo">Request Demo</a>
    <a href="/install" class="btn btn-primary">Installation</a>
  </div>
</nav>
