<?php
require_once $_SERVER['DOCUMENT_ROOT'] . '/wp-config.php';
require_once $_SERVER['DOCUMENT_ROOT'] . '/wp-load.php';
require_once 'clearbit-client.php';
require_once 'error-helper.php';

function getEmailValidationResponse($isValid, $statusCode = 200)
{
  $response = [
    "type" => 'email',
    "status" => $isValid ? "valid" : "invalid",
    "code" => $statusCode,
  ];

  return $response;
}

function validateEmail($email)
{
  $file = "emails.csv";
  $ignoredEmailDomains = file($file, FILE_IGNORE_NEW_LINES);

  $emailAddress = $_POST['email'];

  // Do base filter and return early to prevent XSS attackvalidateemails
  if (!filter_var($emailAddress, FILTER_VALIDATE_EMAIL)) {
    return getEmailValidationResponse(false);
  }

  // Check if email domain is blacklisted
  $domain = explode('@', $emailAddress)[1];

  if (in_array($domain, $ignoredEmailDomains)) {
    return getEmailValidationResponse(false);
  }

  // $clearbit = new ClearbitClient(get_option('clearbit_risk_apikey'));
  // $risk = $clearbit->calculateRisk($emailAddress);

  // if (isset($risk->error)) {
  //   // HARD FAIL
  //   $resp = getEmailValidationResponse(false, 400);
  //   // SOFT FAIL sendEmailValidationResponse(true);
  //   logErrorToCSV('Failure: Validate-emails.php, risk api error', json_encode($risk->error), $_POST);
  //   logErrorToNewRelic('Failure: Validate-emails.php, risk api error', json_encode($risk->error), $_POST);
  //   return $resp;
  // }
  // $isSafe = $clearbit->isSafe($risk);
  // $statusCode = $isSafe ? 200 : 400;
  // if(!$isSafe) {
  //   logErrorToCSV('Clearbit Risk Rejected', json_encode($statusCode), $_POST);
  //   logErrorToNewRelic('Clearbit Risk Rejected', json_encode($statusCode), $_POST);
  //   return;
  // }
  // logErrorToNewRelic('Clearbit Risk Passed', json_encode($isSafe), $_POST);
  return getEmailValidationResponse(true, $statusCode);
}
