<?php
  get_header();
  while ( have_posts() ) : the_post(); // Start the loop
?>

<style>
/* * {outline: 1px solid red;} */
</style>

<section class="intro">
  <div class="container">
    <div class="row justify-content-md-center">
      <div class="col">
        <h1><?php the_field('page_heading'); ?></h1>
        <h3><?php the_field('page_sub_heading');?></h3>
      </div>
    </div>
  </div>
</section>

<section class="container mb-6x">
  <div class="row">
    <?php $count = 0; if( have_rows('columns') ): while ( have_rows('columns') ) : the_row(); ?>
    <div class="col-sm-12 col-lg-4 mb-2x mb-lg-0x px-2x text-center <?php if ($count == 0 || $count == 1){ echo 'border-after'; }?>">
      <img src="<?php the_sub_field('column_icon'); ?>" class="mb-1x"/>
      <h4 class=""><?php the_sub_field('column_title'); ?></h4>
      <p class="sm"><?php the_sub_field('column_text');?></p>
    </div>
    <?php $count++; endwhile; endif;?>
  </div>
</section>

<section class="bg-drkGry dark py-md-6x">
  <div class="container">
    <div class="row justify-content-center mb-2x mb-4x">
      <div class="col col-md-10">
        <?php the_content();?>
      </div>
    </div>
    <div class="row align-items-center">
      <div class="col-12 col-md-6 text-md-right text-center">
        <?php include('assets/img/editions/api-gateway.svg');?>
      </div>
      <div class="col-6 hidden-sm-down">
        <ul class="pb-1x mb-1x">
          <li>Administer Kong via RESTful API</li>
          <li>Automate/orchestrate for CI/CD & DevOps</li>
          <li>Extensible with plugins</li>
        </ul>
        <ul class="py-1x my-1x">
          <li>Create plugins with Lua</li>
          <li>Implement powerful customizations</li>
          <li>Integrate with third-party services</li>
        </ul>
        <ul class="py-1x my-1x">
          <li>Choice of Cassandra or PostgreSQL</li>
          <li>Scales from laptop to global cluster</li>
          <li>In-memory caching for performance</li>
        </ul>
        <ul class="py-1x my-1x">
          <li>Intercept Request/Response lifecycle</li>
          <li>Extends underlying NGINX</li>
          <li>Scriptable via Lua</li>
        </ul>
        <ul class="pt-1x my-1x">
          <li>Proven, high-performance foundation</li>
          <li>HTTP and reverse proxy server</li>
          <li>Handles low-level operations</li>
        </ul>
      </div>
    </div>
  </div>
</section>

<section class="container bt">
  <div class="row justify-content-center mb-2x">
    <div class="col col-md-10 text-center mb-4x">
      <h2 class="mb-2x">Request Workflow</h2>
      <p class="mb-4x"><?php the_field('workflow_heading');?></p>
      <?php include('assets/img/editions/request-workflow.svg');?>
    </div>
  </div>
  <div class="row justify-content-center">
    <div class="col col-md-10">
      <p><?php the_field('workflow_content');?></p>
    </div>
  </div>
</section>

<section class="container faq-container">
  <div class="row">
    <div class="col-12 card">
      <div class="row justify-content-center mt-3x">
        <div class="col-12 col-md-3 pr-4x text-md-right text-center mb-2x mb-md-0x br">
          <h3>Frequently Asked Questions</h3>
        </div>
        <div class="col-12 col-md-8 pl-md-2x">
          <?php if( have_rows('faq', 314) ): ?>
          <div class="list-group">
            <?php
              // For each FAQ on FAQ page get value & format to hyphen separated
              while( have_rows('faq', 314) ): the_row();
              $question = str_replace(' ', '-', strtolower(get_sub_field('faq_question')));
              $question = str_replace('?','', $question);
              $question = str_replace('/','-', $question);
            ?>
            <a href="/faqs/#<?php echo $question;?>" class="list-group-item list-group-item-action pt-0x"><?php the_sub_field('faq_question'); ?></a>
            <?php endwhile;?>
          </div>
          <?php endif;?>
        </div><!--/Right Col-->
      </div><!--/Row-->
    </div><!--/Card-->
  </div>
</section>

<?php if( have_rows('faq', 314) ): ?>
  <ul>
  <?php while( have_rows('faq', 314) ): the_row(); ?>
  <?php
  $question = str_replace(' ', '-', strtolower(get_sub_field('faq_question')));
  $question = str_replace('?','', $question);
  $question = str_replace('/','-', $question);
  ?>

  <?php endwhile; ?>
  </ul>
<?php endif; ?>

<?php
  endwhile; // End of the loop.
  get_footer();
?>
