<?php get_header(); ?>

<?php get_template_part( 'template-parts/page', 'intro' );?>

<section class="container">
  <div class="row">
    <div class="col-sm-12 col-md-6 mb-2x mb-md-0x">
      <div class="card card-outline-secondary">
        <div class="card-block py-0x">
          <h3 class="card-title"><?php the_field('ce_card_title');?></h3>
          <h4><?php the_field('ce_card_subtitle');?></h4>
        </div>
        <ul class="list-group list-group-flush">
          <?php if( have_rows('ce_features') ): while ( have_rows('ce_features') ) : the_row(); ?>
          <li class="list-group-item">
            <div class="row">
              <div class="col-4 col-md-auto">
                <img src="<?php the_sub_field('feature_icon');?>" alt="<?php the_sub_field('feature_name');?>" />
              </div>
              <div class="col-8 col-md-auto">
                <p class="lg" style="margin-bottom:.5rem;"><strong><?php the_sub_field('feature_name');?></strong></p>
                <p><?php the_sub_field('feature_text');?></p>
              </div>
            </div>
          </li>
          <?php endwhile; endif ;?>
        </ul>
        <div class="card-block pb-0x">
          <a href="/install" class="btn btn-outline-success btn-lg btn-block">Installation <span class="kong-github-latest-release green"><?php echo get_option('kong_version'); ?></span></a>
          <p class="mini text-center pt-2x mb-0x" ><a class="text-muted" href="https://github.com/Mashape/kong/blob/master/UPGRADE.md" target=_blank>Upgrading from an older version?</a></p>
        </div>
      </div>
    </div>
    <div class="col-sm-12 col-md-6 pt-sm-2x pt-md-0x">
      <div class="card card-outline-info">
        <div class="card-block py-0x">
          <h3 class="card-title"><?php the_field('ee_card_title');?></h3>
          <h4><?php the_field('ee_card_subtitle');?></h4>
        </div>
        <ul class="list-group list-group-flush">
          <?php if( have_rows('ee_features') ): while ( have_rows('ee_features') ) : the_row(); ?>
          <li class="list-group-item">
            <div class="row">
              <div class="col-4 col-md-auto">
                <img src="<?php the_sub_field('feature_icon');?>" alt="<?php the_sub_field('feature_name');?>" />
              </div>
              <div class="col-8 col-md-auto">
                <p class="lg" style="margin-bottom:.5rem;"><strong><?php the_sub_field('feature_name');?></strong></p>
                <p><?php the_sub_field('feature_text');?></p>
              </div>
            </div>
          </li>
          <?php endwhile; endif ;?>
        </ul>
        <div class="card-block pb-0x">
          <p class="mini">Go beyond...</p>
          <div class="row no-gutters">
            <?php if( have_rows('ee_extras') ): while ( have_rows('ee_extras') ) : the_row(); ?>
            <div class="col-sm-6">
              <p class="sm"><strong><?php the_sub_field('extra_feature');?></strong></p>
            </div>
            <?php endwhile; endif; ?>
          </div>
          <a href="/free-trial" class="btn btn-success btn-lg btn-block mt-2x">Start free 30-day trial of Kong EE</a>
          <!-- <a href="/request-demo" class="btn btn-success btn-lg btn-block mt-2x">Contact Sales</a> -->
          <p class="mini text-center pt-2x mb-0x" ><a class="text-muted" href="/subscriptions">See Subscriptions</a></p>
        </div>
      </div>
    </div>
  </div>
</section>

<?php get_footer(); ?>
