<?php
  get_header();
  while ( have_posts() ) : the_post(); // Start the loop
?>

<section class="kong-enterprise-intro light py-4x">
  <div class="container">
    <div class="row justify-content-center mb-2x">
      <div class="col-sm-12 text-center">
        <h1 class="blue"><?php the_title(); ?></h1>
        <h3><?php the_field('page_heading'); ?></h3>
      </div>
    </div>
    <div class="row justify-content-center">
      <div class="col-sm-12 col-md-10 text-center">
        <a class="btn btn-success mb-2x mr-1x px-2x" href="/free-trial">Try Enterprise</a>
        <a href="/request-demo" class="btn btn-outline-success --green mb-2x px-2x">Contact Sales</a>
      </div>
    </div>
    <div class="row justify-content-center">
      <div class="col-sm-12 col-md-10 text-center">
        <a href="/api-admin-gui/" class="green">See Features</a>
      </div>
    </div>
  </div>

  <div class="row buildings-wrapper no-gutters mb-4x">
    <div class="col-12 text-center">
      <?php get_template_part('assets/img/editions/inline', 'EE-buildings.svg');?>
    </div>
  </div>

  <div class="container">
    <div class="row justify-content-center no-gutters">
      <div class="col col-md-12 text-center">
        <p class="sm heading-divide text-uppercase">Running Mission-critical Microservices & APIs on Kong EE</p>
      </div>
    </div>
    <div class="row justify-content-center no-gutters">
      <div class="col-12 col-md-12 d-flex flex-wrap flex-row justify-content-center align-items-center text-center logos">
        <div class="col-6 col-md-2 py-1 pb-1">
          <img src="<?php echo get_stylesheet_directory_uri();?>/assets/img/customers/logo-skyscanner.svg" alt="skyscanner" />
        </div>
        <div class="col-6 col-md-2 py-1 pb-1">
          <img src="<?php echo get_stylesheet_directory_uri();?>/assets/img/customers/logo-wework.svg" alt="wework" />
        </div>
        <div class="col-6 col-md-2 py-1 pb-1">
          <img src="<?php echo get_stylesheet_directory_uri();?>/assets/img/customers/logo-healthcare.svg" alt="healthcare" />
        </div>
        <div class="col-6 col-md-2 py-1 pb-1">
          <img src="<?php echo get_stylesheet_directory_uri();?>/assets/img/customers/logo-yahoo-japan.svg" alt="yahoo japan" />
        </div>
        <div class="col-6 col-md-2 py-1 pb-1">
          <img src="<?php echo get_stylesheet_directory_uri();?>/assets/img/customers/logo-giphy.svg" alt="giphy" />
        </div>
        <div class="col-6 col-md-2 py-1 pb-1">
          <img src="<?php echo get_stylesheet_directory_uri();?>/assets/img/customers/logo-ferrari.svg" alt="ferrari" />
        </div>
      </div>
    </div>
  </div>
</section>

<section class="kong-services bg-drkGry dark py-4x">
  <div class="container">
    <div class="row justify-content-center text-center mb-2x">
      <div class="col-12">
        <h1>Accelerate your Enterprise transition to Microservices</h1>
        <h4>Kong Enterprise is our powerful offering for larger organizations in need of security, monitoring, compliance, developer onboarding, higher performance, granular access and a dashboard to manage Kong easily. </h4>
      </div>
    </div>
    <div class="row justify-content-center text-center mb-2x">
      <div class="col-sm-12 col-md-8 col-lg-6">
        <?php get_template_part('assets/img/editions/inline', 'kong-ee.svg');?>
      </div>
   </div>
  </div>

</section>

<section class="bg-gray py-4x">
  <div class="container">
    <div class="row justify-content-center">
      <div class="col-10">
        <?php
          // Get demo page content
          echo get_post(95)->post_content;
        ?>
      </div>
      <div class="col-10 demo-form-container">
         <?php get_template_part('template-parts/page', 'demo-form');?>
      </div>
    </div>
  </div>
</section>

<?php
  endwhile; // End of the loop.
  get_footer();
?>
