<?php
  get_header();
  while ( have_posts() ) : the_post(); // Start the loop
?>

<?php get_template_part( 'template-parts/page', 'intro' );?>

<section>
  <div class="container">
    <div class="row">
      <?php if( have_rows('column') ): while ( have_rows('column') ) : the_row(); ?>
      <div class="col-sm-12 col-md-4 card-deck mb-2x mb-md-0x">
        <div class="card no-padding">
          <div class="card-img-top text-center mt-2x"><img src="<?php the_sub_field('column_icon'); ?>" /></div>
          <div class="card-block">
            <h4 class="card-title text-center mb-2x fw-500"><?php the_sub_field('column_title'); ?></h4>
            <div class="card-text black70"><?php the_sub_field('column_content');?></div>
          </div>
          <div class="card-footer mt-2x">
            <p class="fw-500">
            <?php if( have_rows('column_bullets') ): while ( have_rows('column_bullets') ) : the_row(); ?>
              <span><?php the_sub_field('bullet');?></span>
            <?php  endwhile; endif;?>
            </p>
          </div>
        </div>
      </div>
      <?php endwhile; endif; ?>
    </div>
    <div class="row mt-4x pb-2x">
      <div class="col">
        <?php the_content(); ?>
      </div>
    </div>
  </div>
</section>

<section class="kong-partners pt-0x">
  <div class="container">
    <div class="row mb-2x">
      <div class="col">
        <hr>
      </div>
    </div>
    <div class="row text-center">
      <div class="col">
        <h4 class="mb-1x">Featured Partners</h4>
      </div>
    </div>
    <div class="d-flex flex-wrap flex-row align-items-center ">
      <?php if( have_rows('partner') ) : while ( have_rows('partner') ) : the_row(); ?>
        <div class="col-6 col-sm-4 col-md-3 col-xl-2 px-lg-1x py-1x text-center">
          <div class="card no-padding mb-1x">
            <a href="<?php the_sub_field('partner_url'); ?>" target="_blank">
              <img src="<?php the_sub_field('partner_image');?>" alt="<?php the_sub_field('partner_name');?>">
            </a>
          </div>
          <p class="mini"><?php the_sub_field('partner_region');?></p>
        </div>
        <?php endwhile; endif; ?>
    </div>
  </div>
</section>

<?php
  endwhile; // End of the loop.
  get_footer();
?>
