<?php
  get_header();
  // Check if current user is logged in
  $loggedIn = is_user_logged_in();
?>

<?php 
  // If logged in show dashboard
  if ($loggedIn) {
?>

  <section class="container">
    <div class="row justify-content-center text-center">
      <div class="col">
        <h1>Hello <?php echo $current_user->user_firstname; ?></h1>
        <a href="<?php echo wp_logout_url( home_url() ); ?>">Logout</a>
      </div>
    </div>

    <div class="row justify-content-md-center">
      <div class="col col-md-8">
        <h4>Download Kong</h4>
        <div class="list-group">
          <a href="https://bintray.com/login?targetUri=%2Fkong" class="list-group-item list-group-item-action">Login to Bintray</a>
          <!-- <a id="getDownload" class="list-group-item list-group-item-action">Click me!</a> -->
        </div>
      </div>
    </div>

    <div class="row justify-content-md-center mt-4x">
      <div class="col col-md-8">
        <h4>Customer Support & Documentation</h4>
        <div class="list-group">
          <a href="https://mashape1506115869.zendesk.com/hc/en-us" class="list-group-item list-group-item-action">View Kong Documentation</a>
          <a href="https://mashape1506115869.zendesk.com/hc/en-us/requests/" class="list-group-item list-group-item-action">View My Tickets</a>
          <a href="https://mashape1506115869.zendesk.com/hc/en-us/requests/new" class="list-group-item list-group-item-action">Create New Ticket</a>
        </div>
      </div>
    </div>

    <div class="row justify-content-md-center mt-4x">
      <div class="col col-md-8">
        <h4>Gelato</h4>
        <div class="list-group">
          <a href="https://gelato.io/login" class="list-group-item list-group-item-action">Login to Admin</a>
          <!-- <a id="getDownload" class="list-group-item list-group-item-action">Click me!</a> -->
        </div>
      </div>
    </div>
  </section>

  <script>
    var customerID = <?php echo $customerID; ?>

    $('#getDownload').click(function(){
      $.ajax({
        url: "/wp-content/themes/konghq/bintray.php",
        method: "POST",
        data: {
          "callback_id": customerID,
          "callback_email": "travis@konghq.com"
        },
        success:function(result){
          console.log(result);
          window.location=JSON.parse(result).url;
        },
        error:function(error){
          console.log(error);
        }
      })
    })
  </script>

<?php 
  //If not logged in redirect to login page
  } else { 
?>
  <script>window.location.href = '/login';</script>

<?php }
  get_footer();
?>
