<?php

  get_header();
  while ( have_posts() ) : the_post(); // Start the loop
?>

<?php get_template_part( 'template-parts/page', 'intro' );?>

<section class="container">
  <div class="row justify-content-center">
    <div class="col-sm-12 col-lg-10 push-lg-1">
      <table class="table table-responsive">
        <?php // Hard code top for proper sizing ?>
        <thead>
          <tr>
            <th class="w-50 feature-header">Kong API Gateway</th>
            <th class="w-25 text-center">
              <h4>Community Edition</h4>
              <p class="sm">The blazingly fast open source microservice API gateway.</p>
            </th>
             <th class="w-25 text-center">
              <h4>Enterprise Edition</h4>
              <p class="sm">The microservice API platform for large organizations.</p>
            </th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td class="w-50">API & Microservices Gateway</td>
            <td class="w-25"><span class="checked"></span></td>
            <td class="w-25"><span class="checked"></span></td>
          </tr>
          <tr>
            <td class="w-50">Open-Source Plugins</td>
            <td class="w-25"><span class="checked"></span></td>
            <td class="w-25"><span class="checked"></span></td>
          </tr>
          <tr>
            <td class="w-50">Load Balancing</td>
            <td class="w-25"><span class="checked"></span></td>
            <td class="w-25"><span class="checked"></span></td>
          </tr>
          <tr>
            <td class="w-50">Service Discovery</td>
            <td class="w-25"><span class="checked"></span></td>
            <td class="w-25"><span class="checked"></span></td>
          </tr>
          <tr>
            <td class="w-50">Health Checks</td>
            <td class="w-25"><span class="checked"></span></td>
            <td class="w-25"><span class="checked"></span></td>
          </tr>
          <tr>
            <td class="w-50">Community Support</td>
            <td class="w-25"><span class="checked"></span></td>
            <td class="w-25"><span class="checked"></span></td>
          </tr>
        </tbody>

        <?php if( have_rows('feature-sections') ): while ( have_rows('feature-sections') ) : the_row(); ?>
        <tbody>
          <tr>
            <td class="feature-header"><p><?php the_sub_field('feature_name');?></p></td>
          </tr>
          <?php
            if( have_rows('highlights') ): while( have_rows('highlights') ): the_row();
            $edition = get_sub_field('edition');
            ?>
            <tr>
              <td><?php the_sub_field('highlight_name');?></td>
              <td>
                <?php if(in_array("CE", $edition )){ ?>
                  <span class="checked"></span>
                <?php } else { ?>
                  <span></span>
                <?php } ?>
              </td>
               <td>
               <?php if(in_array("EE", $edition )){ ?>
                  <span class="checked"></span>
                <?php } else {?>
                  <span></span>
                <?php } ?>
              </td>
            </tr>
          <?php endwhile; endif;  ?>

        </tbody>

        <?php endwhile; endif;  ?>

        <tbody class="cta">
          <tr>
            <td></td>
            <td>
              <a href="/install" class="btn btn-outline-success btn-lg btn-block px-2x">Installation <span class="kong-github-latest-release green"><?php echo get_option('kong_version'); ?></span></a>
            </td>
            <td>
              <a href="/request-demo" class="btn btn-success btn-lg btn-block px-3x">Contact Sales</a>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</section>

<?php
  endwhile; // End of the loop.
  get_footer();
?>
