<?php
/**
 * The template for displaying all single posts
 *
 * @package konghq
 */

  get_header();
  while ( have_posts() ) : the_post();

  $thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full' ); // Get post thumbnail
  $defaultProfile = urlencode( 'https://konghq.com/wp-content/uploads/2017/11/kong-community-team_512x512.png' ); // Set default Gravatar
  $profileEmail = get_the_author_meta('email'); // Get current users email address 
  $profileHash = md5( strtolower( trim($profileEmail) ) ); // md5 current user email address for Gravatar
  $category = get_the_category(); // Get the current category of the post
?>
  <script type="text/javascript" src="https://s7.addthis.com/js/300/addthis_widget.js#pubid=ra-59a089b62884dd32"></script> 

  <div class="kong-post">
    <header class="cat-<?php echo $category[0]->slug; if ( has_post_thumbnail() ) { echo ' has-img'; }?>">
      <?php the_post_thumbnail('full'); ?>
    </header>

    <article class="kong-article container col-10">

      <div class="row justify-content-center text-center">
        <div class="col col-md-10">
          <div class="author-details">
            <img src="https://www.gravatar.com/avatar/<?php echo $profileHash?>?s=100&d=<?php echo $defaultProfile?>" class="rounded-circle mb-1x" width="65"/>
            <p class="sm">By <?php the_author_posts_link(); ?> on <?php the_date();?></p>
          </div>
          <h1><?php the_title();?></h1>
          <p class="sm entry-meta">
            <strong>
            <?php
              foreach($category as $cat) {
                echo '<a href="/blog/category/'. $cat->slug .'" class="drk">'. $cat->name . '</a> | ';
              }
            ?>
            </strong><?php echo do_shortcode('[rt_reading_time]');?> MIN READ</strong>
          </p>
        </div>
      </div>
      <div class="row justify-content-center mt-2x">
        <div class="col col-md-8">
          <?php the_content();?>
          <?php if ( get_field('cta') ) { ?>
            <div class="alert alert-success row mt-2x px-0x align-items-center justify-content-md-between text-center text-md-left" role="alert">
              <div class="col-12 col-lg-7 col-xl-auto mb-1x mb-lg-0x">
                <p class="mb-0x"><?php the_field('cta'); ?></p>
              </div>
              <div class="col-12 col-lg-auto">
                <p class="mb-0x">
                  <a href="<?php the_field('cta_link');?>" target="_blank" class="btn btn-success">
                    <?php the_field('cta_link_text');?>
                  </a>
                </p>
              </div>
            </div>
          <?php } ?>
        </div>
      </div>
    </article>

    <?php recent_posts();?>

  </div>

<?php
  endwhile;
  get_footer();
?>
