<?php
/**
 * Template part for displaying the blog sidebar
 *
 *
 * @package konghq
 */

?>

<aside class="kong-sidebar">
  <?php
    // Query 5 posts from the "featured" category
    query_posts('posts_per_page=1&category_name=featured-card');
    if ( have_posts() ) while ( have_posts() ) : the_post();
  ?>

  <div class="featured-card card kong-secret text-center mb-2x">
    <div class="featired-card-image pt-1x">
      <svg xmlns="http://www.w3.org/2000/svg" width="36px" height="32px" viewBox="0 0 36 32" version="1.1">
        <g fill="#004b80" fill-rule="evenodd" stroke="none" stroke-width="1">
          <path id="kogo-foot" d="M11.5197255 26.1503163l-.8635306 1.0892615 1.9496674 3.0352708-.2028406 1.4047695h8.2698045l.5715827-1.4047694-3.3235398-4.1245323"/>
          <path id="kogo-arm" d="M16.0419367 7.6788574l-2.9904407 5.217346L27.6417615 30.102853l-.416374 1.5768942h6.6917954l1.213155-5.5967952L19.516473 7.6736904"/>
          <path id="kogo-head" d="M22.240985.323L18.02702 3.7548358l-1.420208 2.6119024h3.5270284l6.0583236 7.181763 3.6022026-2.9461408v-1.87238l-1.2526864-1.7503105.9247716-.9581496"/>
          <path id="kogo-body" d="M7.166948 18.2954268H5.1955705l-5.195441 6.5756128v6.8087722h5.573904l.9827724-1.276564 4.3017758-5.5493238h6.2183927l1.9146726-2.9222434-6.7436395-7.977153"/>
        </g>
      </svg>
    </div>
    <div class="featured-card-content">
      <p><b><?php the_title();?></b></p>
      <p class="sm"><?php the_date();?> </p>
      <a href="<?php the_permalink()?>" class="btn btn-outline-success btn-block --green mt-2x">READ MORE</a>
    </div>
  </div>

  <?php
    endwhile;
    wp_reset_query();
  ?>
  <?php /*
  <div class="featured-posts">
    <h5>Featured Posts</h5>
    <?php
      // Query 3 posts from the "featured" category
      query_posts('posts_per_page=3&category_name=featured');
      if ( have_posts() ) while ( have_posts() ) : the_post();
    ?>
    <div class=" featured-post mb-1x bl ">
      <a href="<?php the_permalink(); ?>">
        <p class="sm featured-post-title"><?php the_title();?></p>
      </a>
      <p class="mini mb-0x">by <?php the_author_posts_link(); ?></p>
    </div>
    <?php
      endwhile;
      wp_reset_query();
    ?>
  </div>
  */?>
  <div class="kong-categories mt-2x">
    <h5>Categories</h5>
    <ul class="bl">
      <?php wp_list_categories(['title_li' => '', 'exclude' => array(1,3462), 'show_option_none'=> ''])?>
    </ul>
  </div>
</aside>
