<?php
  /**
   * Template Name: Enterprise Subpage Columns
   */
  get_header();

  while ( have_posts() ) : the_post(); // Start the loop
?>

<?php get_template_part( 'template-parts/page', 'intro' );?>

<section class="container">
  <div class="row justify-content-center">
    <div class="col">
      <?php the_post_thumbnail('full'); ?>
    </div>
  </div>
  <div class="row justify-content-center text-center my-4x">
    <div class="col-12 col-md-10">
      <p class="lrg"><?php the_field('intro_blurb'); ?></p>
    </div>
  </div>
</section>

<hr>

<section class="container">

  <?php
    $counter = 0;
    if( have_rows('columns') ): while ( have_rows('columns') ) : the_row();
    // If counter is odd
    if( $counter % 2 === 0 ){
  ?>

  <div class="row align-items-center mt-2x mt-md-4x">
    <div class="col-sm-12 col-md-6">
      <div class="img-gradient">
        <img src="<?php the_sub_field('column_icon');?>"/>
      </div>
    </div>
    <div class="col-sm-12 col-md-5 mt-2x mt-md-0x pl-md-2x">
      <h3><?php the_sub_field('column_title');?></h3>
      <p><?php the_sub_field('column_text');?></p>
    </div>
  </div>

  <?php 
    // Else if counter is even
    } else { 
  ?>

  <div class="row align-items-center mt-2x mt-md-4x">
    <div class="col-sm-12 col-md-6 flex-md-last">
      <div class="img-gradient">
        <img src="<?php the_sub_field('column_icon');?>"/>
      </div>
    </div>
    <div class="col-sm-12 col-md-5 offset-md//-1 flex-md-first mt-2x mt-0x">
      <h3><?php the_sub_field('column_title');?></h3>
      <p><?php the_sub_field('column_text');?></p>
    </div>
  </div>
  <?php } $counter++; endwhile; endif; ?>
  
</section>

<?php get_template_part( 'template-parts/page', 'cta' );?>

<?php
  endwhile; // End of the loop.
  get_footer();
?>
