<?php
/**
 * Template Name: Home
 */
  get_header();

  while ( have_posts() ) : the_post(); // Start the loop
?>

<section class="kong-masthead">
  <div class="container">
    <div class="row justify-content-center">
      <div class="col-sm-12 col-md-10 text-center">
        <h1 class="hero"><span><?php the_field('hero_line_1');?></span><br><?php the_field('hero_line_2');?></h1>
      </div>
    </div>
    <div class="row text-center">
      <div class="col">
        <a href="/installations" class="btn btn-lg btn-success" alt="Install Kong">Install Kong</a> <a href="/request-demo" class="btn btn-lg btn-transparent ml-1x" alt="Request a Demo">Request Demo</a>
      </div><!--/col-->
    </div><!--/row-->
  </div><!--/container-->
</section>

<section class="kong-summit bg-summit">
    <div class="bg-summit-mask">
      <img class="glow" src="<?php echo get_stylesheet_directory_uri();?>/assets/img/home/kong-summit/glow.svg" alt="kong-summit-glow" />
    </div>
    <div class="container">
      <div class="row justify-content-center">
        <div class="col-sm-12 col-md-10 text-center">
          <h3 class="text-white mb-2 fw-500">Try Kong Enterprise Now</h3>
          <p class="text-white mb-4">Access all of the features of the Kong Enterprise Platform today</p>
        </div>
      </div>
      <div class="row text-center">
        <div class="col mb-4">
          <a href="/free-trial" class="btn btn-white btn-lg py-2 px-4 fw-500" alt="Try Now">Start Enterprise Trial Now</a>
        </div><!--/col-->
      </div><!--/row-->
    </div><!--/container-->
</section>

<?php if( have_rows('announcement_banner') ): ?>
<div class="announcements dark justify-content-center">
  <div class="container col-md-8">
    <div class="row justify-content-center">
      <?php get_template_part( 'inc/announcement', 'slider' ); ?>
    </div><!--/slider row-->
  </div><!--/container-->
</div><!--/anouncements -->
<?php endif; ?>

<section class="kong-unleashed pt-0x pb-4x pb-md-4x">
  <div class="container unleashed-intro py-4x">
    <div class="row justify-content-md-center text-center">
      <div class="col col-md-8">
        <h1 class="hero mb-0x"><?php the_field('section_2_headline');?></h1>
        <h3><?php the_field('section_2_subheader');?></h3>
      </div><!--/col-->
    </div><!--/row-->
  </div><!--/container-->

  <div class="plugins-banner pb-2x pb-md-4x">
    <div class="row no-gutters justify-content-md-center align-items-center text-center">
      <div class="col">
        <div class="scrolling-icons plugins-left"></div><!--/left icons-->
        <div class="kongIcon py-2x">
          <a href="/plugins" alt="Plugins Hub">
            <img src="<?php echo get_stylesheet_directory_uri();?>/assets/img/home/kong-glow.svg" alt="Kong" />
          </a>
        </div><!--/kong icon -->
        <div class="scrolling-icons plugins-right"></div><!--/right icons-->
      </div>
    </div>
    <div class="row justify-content-center">
      <div class="col-1 text-center">
        <svg width="11" height="103" viewBox="0 0 11 103" version="1.1">
          <g fill="none" fill-rule="evenodd" stroke="none" stroke-width="1">
            <circle cx="5.7110236" cy="5" r="5" fill="#1747A9"/>
            <circle cx="5.7110236" cy="98" r="4" stroke="#1747A9" stroke-width="2" class="dot outline"/>
            <path stroke="#1747A9" stroke-width="2" d="M5.7110236 9v84.3629835" stroke-linecap="square" id="line" />
            <circle r="5" fill="#1747A9" class="dot-solid">
              <animateMotion dur="2s" repeatCount="indefinite" calcMode="linear">
                <mpath xlink:href="#line"></mpath>
              </animateMotion>
            </circle>
          </g>
        </svg>
      </div>
    </div>
  </div><!--/plugins-->

  <div class="container col-lg-8 mb-4x">
    <div class="row justify-content-center mb-2x">
      <?php if( have_rows('section_2_columns') ): while ( have_rows('section_2_columns') ) : the_row(); ?>
      <div class="col-xs-12 col-sm-3 py-2x py-md-0x text-center">
        <img class="mb-1x" src="<?php the_sub_field('column_icon');?>" alt="<?php the_sub_field('column_title'); ?>" />
        <p class="lrg"><?php the_sub_field('column_title'); ?></p>
        <p><?php the_sub_field('column_text');?></p>
      </div><!--/col-->
      <?php endwhile; endif; ?>
    </div><!--/row-->
  </div><!--/container-->

  <div class="container">
    <div class="row justify-content-center no-gutters">
      <div class="col col-md-6 text-center">
        <p class="sm heading-divide text-uppercase">Used at scale by</p>
      </div>
    </div>
    <div class="row justify-content-center no-gutters">
      <div class="col-12 col-md-8 d-flex flex-wrap flex-row justify-content-center align-items-center text-center logos">
        <div class="col-6 col-md-3 py-2 pb-1">
          <img src="<?php echo get_stylesheet_directory_uri();?>/assets/img/customers/logo-nokia.svg" alt="nokia" />
        </div>
        <div class="col-6 col-md-3 py-2 pb-1">
          <img src="<?php echo get_stylesheet_directory_uri();?>/assets/img/customers/logo-ibm.svg" alt="ibm" />
        </div>
        <div class="col-6 col-md-3 py-2 pb-1">
          <img src="<?php echo get_stylesheet_directory_uri();?>/assets/img/customers/logo-intel.svg" alt="intel" />
        </div>
        <div class="col-6 col-md-3 py-2 pb-1">
          <img src="<?php echo get_stylesheet_directory_uri();?>/assets/img/customers/logo-harvard.svg" alt="harvard" />
        </div>
        <div class="col-6 col-md-3 py-2 pb-1">
          <img src="<?php echo get_stylesheet_directory_uri();?>/assets/img/customers/logo-pokemon.svg" alt="pokemon" />
        </div>
        <div class="col-6 col-md-3 py-2 pb-1">
          <img src="<?php echo get_stylesheet_directory_uri();?>/assets/img/customers/logo-invision.svg" alt="invision" />
        </div>
        <div class="col-6 col-md-3 py-2 pb-1">
          <img src="<?php echo get_stylesheet_directory_uri();?>/assets/img/customers/logo-nyt.svg" alt="nyt" />
        </div>
      </div>
    </div>
  </div>

</section><!--/kong unleashed-->

<section class="bg-gray py-4x">
  <div class="container">
    <div class="row justify-content-center">
      <div class="col col-md-8 text-center">
        <h2><?php the_field('section_3_headline');?></h2>
        <p class="lrg"><?php the_field('section_3_subheader');?></p>
      </div><!--/col-->
    </div><!--/row-->
    <div class="row mt-md-4x">
      <?php if( have_rows('section_3_columns') ): while ( have_rows('section_3_columns') ) : the_row(); ?>
      <div class="col-xs-12 col-md-4 pt-2x">
        <div class="row">
          <div class="col-3 text-right">
            <img src="<?php the_sub_field('column_icon');?>" alt="<?php the_sub_field('column_title');?>"/>
          </div>
          <div class="col-9">
            <h4><?php the_sub_field('column_title');?></h4>
            <p class="sm"><?php the_sub_field('column_text');?></p>
          </div>
        </div>
      </div><!--/col-->
      <?php endwhile; endif; ?>
    </div><!--/row-->
  </div><!--/container-->
</section>

<section class="bg-dkBlue dark kong-stats py-4x">
  <div class="container">
    <div class="row justify-content-center text-center">
      <div class="col">
        <h1 class="hero"><?php the_field('products_header');?></h1>
      </div>
    </div>
    <div class="row align-items-center">
      <div class="col-sm-12 col-md-6 col-lg-4 offset-lg-1">
        <div class="row text-center">
          <div class="col">
            <?php get_template_part('assets/img/home/inline', 'stats.svg');?>
          </div>
        </div>
      </div>
      <div class="col-sm-12 col-md-6 offset-lg-1 pt-2x pt-md-0x products">
        <?php if( have_rows('products') ): while ( have_rows('products') ) : the_row(); ?>
          <div class="row">
            <div class="col">
              <h3><?php the_sub_field('product_title');?></h3>
              <p><?php the_sub_field('product_text');?></p>
              <p class="mt-1x">
                <a href="<?php the_sub_field('product_link');?>" class="green" alt="Learn more about <?php the_sub_field('product_title');?>">Learn more about <?php the_sub_field('product_title');?>&nbsp;<i class="fa fa-chevron-right fa-1" aria-hidden="true"></i></a>
              </p>
            </div>
          </div>
        <?php endwhile; endif; ?>
      </div>
    </div>
  </div>
</section>

<section class="py-4x">
  <div class="container">
    <div class="row justify-content-center">
      <div class="col col-md-8 text-center">
        <h2><?php the_field('section_4_headline');?></h2>
        <p><?php the_field('section_4_subheader');?></p>
      </div>
    </div>
    <div class="row justify-content-center pt-2x pt-md-4x pb-1x">
      <div class="col-sm-12 col-md-6 pb-2x px-1x px-md-1x">
        <h4 class="mb-2x text-center blue"><?php the_field('section_4_block_1_header');?></h4>
        <img src="<?php echo get_stylesheet_directory_uri()?>/assets/img/home/legacy-architecture.svg" alt="Legacy Architecture"/>
        <ul class="list-group">
          <li class="list-group-item icon icon-x">Common functionality is duplicated across multiple services</li>
          <li class="list-group-item icon icon-x">Systems tend to be monolithic and hard to maintain</li>
          <li class="list-group-item icon icon-x">Difficult to expand without impacting other services</li>
          <li class="list-group-item icon icon-x">Productivity is inefficient because of system constraints</li>
        </ul>
      </div>
      <div class="col-sm-12 col-md-6 px-1x px-md-1x">
        <h4 class="mb-2x text-center blue"><?php the_field('section_4_block_2_header');?></h4>
        <img src="<?php echo get_stylesheet_directory_uri()?>/assets/img/home/kong-architecture.svg" alt="Kong Architecture"/>
        <ul class="list-group">
          <li class="list-group-item icon icon-check">Kong orchestrates common functionality</li>
          <li class="list-group-item icon icon-check">Build efficient distributed architectures ready to scale</li>
          <li class="list-group-item icon icon-check">Expand functionality from one place with a simple command</li>
          <li class="list-group-item icon icon-check">Focus on your product and let Kong do the REST</li>
        </ul>
      </div>
    </div>
    <div class="row pt-4x">
      <div class="col text-center">
        <h2><?php the_field('section_4_headline_2');?></h2>
      </div>
    </div>
    <div class="row justify-content-center pt-2x pt-md-4x pb-1x">
      <div class="col-sm-12 col-md-6 pb-2x px-1x px-md-1x">
        <h4 class="mb-1x text-center blue"><?php the_field('section_4_block_3_header');?></h4>
        <p class="mb-2x px-2x sm text-center"><?php the_field('section_4_block_3_subheader');?></p>
        <img src="<?php echo get_stylesheet_directory_uri()?>/assets/img/home/kong-centralized.svg" alt="Kong Centralized"/>
      </div>
      <div class="col-sm-12 col-md-6 px-1x px-md-1x">
        <h4 class="mb-1x text-center blue"><?php the_field('section_4_block_4_header');?></h4>
        <p class="mb-2x px-2x sm text-center"><?php the_field('section_4_block_4_subheader');?></p>
        <img src="<?php echo get_stylesheet_directory_uri()?>/assets/img/home/kong-sidecar.svg" alt="Kong Sidecar" />
      </div>
    </div>
  </div>
</section>

<section class="bg-gray kong-platforms pt-4x">
  <div class="container pb-2x">
    <div class="row justify-content-center">
      <div class="col col-md-10 text-center">
        <h2><?php the_field('platform_header');?></h2>
        <p><?php the_field('platform_subheader');?></p>
      </div>
    </div>
  </div>
  <div class="container justify-content-center" >
    <div class="d-flex flex-wrap flex-row justify-content-center align-items-center text-center logos">
      <div class="col-6 col-md-4 my-1x">
        <a href="https://getkong.org/install/docker/" target="_blank">
          <div class="card">
            <img src="<?php echo get_stylesheet_directory_uri()?>/assets/img/home/platforms/docker.svg" alt="Docker" />
          </div>
        </a>
      </div>
      <div class="col-6 col-md-4 my-1x">
        <a href="https://getkong.org/install/kubernetes/" target="_blank">
          <div class="card">
              <img src="<?php echo get_stylesheet_directory_uri()?>/assets/img/home/platforms/kubernetes.svg" alt="Kubernetes" />
          </div>
        </a>
      </div>
      <div class="col-6 col-md-4 my-1x">
        <a href="https://getkong.org/install/dcos/" target="_blank">
          <div class="card">
              <img src="<?php echo get_stylesheet_directory_uri()?>/assets/img/home/platforms/dcos.svg" alt="DCOS" />
          </div>
        </a>
      </div>
      <div class="col-6 col-md-4 my-1x">
        <a href="https://getkong.org/install/aws-marketplace/" target="_blank">
          <div class="card">
              <img src="<?php echo get_stylesheet_directory_uri()?>/assets/img/home/platforms/aws.svg" alt="AWS" />
          </div>
        </a>
      </div>
      <div class="col-6 col-md-4 my-1x">
        <a href="https://getkong.org/install/google-cloud/" target="_blank">
          <div class="card">
              <img src="<?php echo get_stylesheet_directory_uri()?>/assets/img/home/platforms/google.svg" alt="Google" />
          </div>
        </a>
      </div>
      <div class="col-6 col-md-4 my-1x">
        <a href="https://getkong.org/install/centos/" target="_blank">
          <div class="card">
              <img src="<?php echo get_stylesheet_directory_uri()?>/assets/img/home/platforms/centos.svg" alt="Centos" />
          </div>
        </a>
      </div>
      <div class="col-6 col-md-4 my-1x">
        <a href="https://getkong.org/install/redhat/" target="_blank">
          <div class="card">
              <img src="<?php echo get_stylesheet_directory_uri()?>/assets/img/home/platforms/redhat.svg" alt="Redhat" />
          </div>
        </a>
      </div>
      <div class="col-6 col-md-4 my-1x">
        <a href="https://getkong.org/install/debian/" target="_blank">
          <div class="card">
              <img src="<?php echo get_stylesheet_directory_uri()?>/assets/img/home/platforms/debian.svg" alt="Debian" />
          </div>
        </a>
      </div>
      <div class="col-6 col-md-4 my-1x">
        <a href="https://getkong.org/install/ubuntu/" target="_blank">
          <div class="card">
              <img src="<?php echo get_stylesheet_directory_uri()?>/assets/img/home/platforms/ubuntu.svg" alt="Ubuntu" />
          </div>
        </a>
      </div>
    </div>
  </div>
  <div class="container mt-2x">
    <div class="row">
      <div class="col-12 text-center">
        <a href="/install" class="green my-2x px-4x" alt="See all platforms">SEE ALL PLATFORMS</a>
      </div>
    </div>
  </div>

</section>

<?php
  endwhile; // End of the loop.
  get_footer();
?>
