<?php 
/*** 
Template Name: Jobs 
***/ get_header(); ?>

<section id="banner-job">

    <div class="content-banner">
        <h1><?php the_field('title'); ?></h1>
        <a href="<?php the_field('link_button'); ?>" class="zm-btn"><?php the_field('text_button'); ?></a>
        <p><?php the_field('text'); ?> <a href="<?php the_field('url_link'); ?>"><?php the_field('text_link'); ?></a></p>
    </div>

    <figure><img src="<?php the_field('image'); ?>"></figure>

</section>

<section id="marquee">
    <ul class="sliding-marquee">
        <?php

        // check if the repeater field has rows of data
        if( have_rows('items') ):

        // loop through the rows of data
        while ( have_rows('items') ) : the_row();

        ?>
        <li><img src="<?php the_sub_field('image'); ?>"></li>
        <?php
        endwhile;

        else :

        // no rows found

        endif;

        ?>
    </ul>
</section>

<section id="who-we-are">
    <div class="content">
        <h5><?php the_field('title_who'); ?></h5>
        <?php the_field('content'); ?>
    </div>
    <div class="background-who" style="background:url(<?php the_field('image_who'); ?>)"></div>
    <div class="content change-p">
        <?php the_field('content2'); ?>
    </div>
    <ul id="counters">
        <li>
            <span>+</span><span class="counter"><?php the_field('counter_1'); ?></span><span>K</span>
            <p>Metrics</p>
        </li>
        <li>
            <span class="counter"><?php the_field('counter_2'); ?></span><span>K</span>
            <p>Metrics</p>
        </li>
        <li>
            <span class="counter"><?php the_field('counter_3'); ?></span><span>M</span>
            <p>Metrics</p>
        </li>
    </ul>
</section>

<section id="videojobs">
    <video class="video-full" disableremoteplayback="" webkit-playsinline="" playsinline="" preload="auto" src="<?php the_field('video_src'); ?>"></video>
    <div class="playpause">
        <i class="fa fa-play" aria-hidden="true"></i>
    </div>
</section>

<section id="tabs-zm">
    <div class="content">
        <h5><?php the_field('title-tabs'); ?></h5>
        <h3><?php the_field('subtitle-tabs'); ?></h3>
        <ul id="tabs-z">
            <li class="active"><?php the_field('text-tab1'); ?></li>
            <li><?php the_field('text-tab2'); ?></li>
        </ul>
        <div id="tabs-z1" class="tabzm">
            <ul>
                <?php

                // check if the repeater field has rows of data
                if( have_rows('items-tabs') ):

                // loop through the rows of data
                while ( have_rows('items-tabs') ) : the_row();

                ?>
                <li><span class="emoji"><?php the_sub_field('emoji-li'); ?></span> <span class="text-e"><?php the_sub_field('text-li'); ?></span></li>
                <?php
                endwhile;

                else :

                // no rows found

                endif;

                ?>
            </ul>
        </div>
        <div id="tabs-z2" class="tabzm">
            <ul>
                <?php

                // check if the repeater field has rows of data
                if( have_rows('items-tabs2') ):

                // loop through the rows of data
                while ( have_rows('items-tabs2') ) : the_row();

                ?>
                <li><span class="emoji"><?php the_sub_field('emoji-li2'); ?></span> <span class="text-e"><?php the_sub_field('text-li2'); ?></span></li>
                <?php
                endwhile;

                else :

                // no rows found

                endif;

                ?>
            </ul>
        </div>

        <div id="separator-ta"></div>

        <h5><?php the_field('title-articles'); ?></h5>
        <ul id="los-articles">
            <li>
                <figure style="background:url(<?php the_field('img-article1'); ?>)"><a href="<?php the_field('link-article1'); ?>"></a></figure>
                <div>
                    <h4><?php the_field('title-article1'); ?></h4>
                    <a href="<?php the_field('link-article1'); ?>"><?php the_field('text-article1'); ?></a>
                </div>
            </li>
            <li>
                <figure style="background:url(<?php the_field('img-article2'); ?>)"><a href="<?php the_field('link-article2'); ?>"></a></figure>
                <div>
                    <h4><?php the_field('title-article2'); ?></h4>
                    <a href="<?php the_field('link-article2'); ?>"><?php the_field('text-article2'); ?></a>
                </div>
            </li>
        </ul>
    </div>
</section>

<section id="why-we-do-it">
    <div class="content">
        <h5><?php the_field('title-whywedo'); ?></h5>
        <h3><?php the_field('subtitle-whywedo'); ?></h3>
        <?php the_field('content-whywedo'); ?>
        <div class="image-content">
            <img src="<?php the_field('img-whywedo'); ?>">
        </div>
        <ul id="items-whywedo">
            <?php

            // check if the repeater field has rows of data
            if( have_rows('items-whywedo') ):

            // loop through the rows of data
            while ( have_rows('items-whywedo') ) : the_row();

            ?>
            <li>
                <h6><?php the_sub_field('title-li-whywedo'); ?></h6>
                <p><?php the_sub_field('content-li-whywedo'); ?></p>
            </li>
            <?php
            endwhile;

            else :

            // no rows found

            endif;

            ?>
        </ul>
    </div>
</section>

<section id="positions">
    <div class="content">
        <h3>Open Positions</h3>
        <ul>
            <?php

            // check if the repeater field has rows of data
            if( have_rows('items-position') ):

            // loop through the rows of data
            while ( have_rows('items-position') ) : the_row();

            ?>
            <li>
                <figure>
                    <img src="<?php the_sub_field('img-position') ?>">
                </figure>
                <h6><?php the_sub_field('title-position') ?></h6>
                <p class="<?php the_sub_field('color-position') ?>"><strong><?php the_sub_field('number-position') ?></strong> <?php the_sub_field('text-position') ?></p>
                <div style="display:none">
                    <i class="<?php the_sub_field('english-lang') ?>"></i>
                    <i class="<?php the_sub_field('spanish-lang') ?>"></i>
                    <i class="tf-position <?php the_sub_field('tf-position') ?>">Remote</i>
                </div>
            </li>
            <?php
            endwhile;

            else :

            // no rows found

            endif;

            ?>
        </ul>
    </div>
</section>

<section id="section-insta">
    <div class="content">
        <h3>Life at Kong</h3>
        <p>Behind the scenes at <a href="https://www.instagram.com/<?php the_field('username-instagram'); ?>/" target="_blank">@<?php the_field('username-instagram'); ?></a></p>
    </div>
    <div id="instagram-anti"></div>
    <script>
        $.ajax({
            dataType: 'jsonp',
            url: "https://api.instagram.com/v1/users/self/media/recent/?access_token=<?php the_field('token-instagram') ?>&count=6"
        }).done(function(response) {


            for ( i = 0; i < response.data.length; i++ ) {

                if ( response.data[i].type == "image" ) {
                    $('#instagram-anti').append("<div class='insta-post'><a href='"+ response.data[i].link +"' target='_blank'><img width='480' src='"+ response.data[i].images.standard_resolution.url +"' alt=''></a></div>");
                }
            }
        });
    </script>
    <div id="follow-insta">
        <a target="_blank" href="https://www.instagram.com/<?php the_field('username-instagram'); ?>/"><i class="fa fa-instagram" aria-hidden="true"></i> Follow us</a>
    </div>
</section>


<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-migrate/3.0.1/jquery-migrate.min.js"></script>

<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/assets/liMarquee/liMarquee.css"/>

<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/liMarquee/liMarquee.js"></script>

<script src="http://cdnjs.cloudflare.com/ajax/libs/waypoints/2.0.3/waypoints.min.js"></script>

<script src="<?php echo get_template_directory_uri(); ?>/assets/js/counter/jquery.counterup.min.js"></script>

<script type="text/javascript">
    jQuery(document).ready(function(){
        jQuery('.sliding-marquee').liMarquee({
            direction: 'left',	
            loop:-1,			
            scrolldelay: 0,		
            scrollamount:60,	
            circular: true,		
            drag: false,
            hoverstop: false
        });
        jQuery('.counter').counterUp({
            delay: 5,
            time: 1000
        });
        jQuery('.video-full').parent().click(function () {
            if($(this).children(".video-full").get(0).paused){
                $(this).children(".video-full").get(0).play();
                $(this).children(".playpause").hide();
            }else{
                $(this).children(".video-full").get(0).pause();
                $(this).children(".playpause").show();
            }
        });
        jQuery('#tabs-z li').click(function(){
            jQuery('#tabs-z li').removeClass('active')
            jQuery(this).addClass('active')
            if(jQuery(this).is(':first-child')){
                jQuery('#tabs-z2').hide();
                jQuery('#tabs-z1').fadeIn();
            }
            else {
                jQuery('#tabs-z1').hide();
                jQuery('#tabs-z2').fadeIn();
            }
        })
    });
</script>

<?php get_footer(); ?>
