<?php
  /**
   * Template Name: 2 Column Sub Page
   */
  get_header();

  while ( have_posts() ) : the_post(); // Start the loop
?>

<section class="intro">
  <div class="container">
    <div class="row justify-content-md-center">
      <div class="col col-md-6">
        <h1><?php the_field('page_heading'); ?> </h1>
      </div>
    </div>
  </div>
</section>

<section class="container">
    <div class="row justify-content-md-center text-center">
      <div class="col col-md-10">
        <h5><?php the_field('page_sub_heading'); ?></h5>
        <?php the_field('intro'); ?>
      </div>
    </div>
  </div>
</section>

<section class="container">
  <div class="row justify-content-center">
    <div class="col col-md-8">
      <div class="row">
        <div class="col-sm-12 col-md-6 pb-2x pb-md-0x">
          <?php the_field('left_column'); ?>
        </div>
        <div class="col-sm-12 col-md-6">
            <?php the_field('right_column'); ?>
        </div>
      </div>
    </div>
  </div>
</section>

<?php
  // If is jobs page show perks card
  if (is_page('Jobs')) {
?>

<section class="container">
  <div class="row justify-content-center mb-4x mb-md-6x">
    <div class="col-12 col-md-8">
      <h4 class="fw-500">Open Positions</h4>
    </div>
    <div class="col-12 col-md-8" id="jobs-container">
      <ul class="whr-items"></ul>
    </div>
  </div>
  <div class="row justify-content-center">
    <div class="col col-md-10">
      <div class="card tall kong-perks">
        <div class="row mt-3x text-center">
          <div class="col">
            <h4>Perks & Goodies</h4>
          </div>
        </div>
        <div class="row pt-2x">
          <div class="col-sm-12 col-md-6">
            <p class="sm">Stock options</p>
            <p class="sm">Your choice of computer and other equipment</p>
            <p class="sm">Sit/Stand desks</p>
            <p class="sm">Lunch 2 times per week</p>
            <p class="sm">Snacks and beverages to keep you going through the day</p>
            <p class="sm">Game nights</p>
          </div>
          <div class="col-sm-12 col-md-6">
            <p class="sm">Italian food cooked by the founders</p>
            <p class="sm">Unlimited vacation days</p>
            <p class="sm">Awesome medical, dental, vision plans</p>
            <p class="sm">401k plan</p>
            <p class="sm">Fun happy hours and company outings</p>
            <p class="sm">A second family – whatever problem outside of work; we'll be there!</p>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>

<?php } else { ?>

<section class="container">
  <div class="row justify-content-center align-items-center">
    <div class="col col-md-8">
      <?php the_content(); ?>
    </div>
  </div>
</section>

<?php
  } endwhile; // End of the loop.
  get_footer();
?>
